2003-07-05  Yuuichi Teranishi  <teranisi@gohome.org>

	* APEL: Version 10.6 released.
	* apel-ver.el (apel-ver): Change APEL version to 10.6.

2003-07-03  Shuhei KOBAYASHI  <shuhei@aqua.ocn.ne.jp>

	* poe.el (make-temp-file) [2-args make-temp-file]:
	Don't use octal number for file modes.

	* poe.el (toplevel): Fixed the compile-time check for the definition of
	`make-temp-file' [apel-ja: 00874].
	(make-temp-file) [no make-temp-file, single-user system]:
	Don't use `set-default-file-modes' nor `default-file-modes'.

2003-07-03  Yuuichi Teranishi  <teranisi@gohome.org>

	* poe-18.el (make-directory-internal): Signal an error according to
	the exit status of mkdir.
	(delete-directory): New function.
	(write-region): Ditto.


2003-06-06  Yuuichi Teranishi  <teranisi@gohome.org>

	* APEL: Version 10.5 released.
	* apel-ver.el (apel-ver): Change APEL version to 10.5.

2003-05-29  Yuuichi Teranishi  <teranisi@gohome.org>

	* poe.el (make-temp-file) [no make-temp-file, single-user system]:
	Modified for OS/2.

2003-05-22  Yuuichi Teranishi  <teranisi@gohome.org>

	* install.el (install-prefix): Change value for Meadow2 and NTEmacs.

2003-05-20  Shuhei KOBAYASHI  <shuhei@aqua.ocn.ne.jp>

	* poe.el (make-temp-file) [no make-temp-file, multi-user system]:
	Modified comments.

2003-05-19  Shuhei KOBAYASHI  <shuhei@aqua.ocn.ne.jp>

	* poe.el (make-temp-file) [no make-temp-file, multi-user system]:
	Flatten nested `unwind-protect'.  Fixed comments.

2003-05-15  Yuuichi Teranishi  <teranisi@gohome.org>

	* poe.el (make-temp-file): New function.

2002-11-05  MORIOKA Tomohiko  <tomo@kanji.zinbun.kyoto-u.ac.jp>

	* mcs-20.el (mcs-region-repertoire-p): New function for UTF-2000
	implementations.
	(mcs-string-repertoire-p): Likewise.
	(detect-mime-charset-region): New implementation for UTF-2000
	implementations.
	(detect-mime-charset-string): New function for UTF-2000
	implementations.

2002-11-03  Yoichi NAKAYAMA  <yoichi@eken.phys.nagoya-u.ac.jp>

	* filename.el (filename-filters): Change default value to nil.


2002-10-04  Katsumi Yamaoka  <yamaoka@jpl.org>

	* APEL: Version 10.4 released.

2002-10-03  Takeshi Morishima  <qa3507@email.mot.com>

	* install.el (install-elisp-module): Delete an elc file if the
	optional 5th argument `del-elc' is given.
	(install-elisp-modules): Allow the optional 5th argument `del-elc'
	and pass it to `install-elisp-module'.

2002-10-02  Katsumi Yamaoka  <yamaoka@jpl.org>

	* mcs-ltn1.el (mime-charset-to-coding-system): Allow the 2nd arg.
	* mcs-nemacs.el (mime-charset-to-coding-system): Ditto.

2002-07-13  Daiki Ueno  <daiki@xemacs.org>

	* mcs-xm.el (encode-mime-charset-string): Use `defun' instead of
	`defsubst'

2002-07-10  Adrian Aichner  <adrian@xemacs.org>

	* emu.el: Conditionalise defalias 'tl:overlay-buffer on
	'tl:overlay-buffer, not 'tl:overlay-put.

2002-06-26  Katsumi Yamaoka  <yamaoka@jpl.org>

	* mcs-e20.el (charsets-mime-charset-alist): Remove nil's from the
	default value.
	* mcs-xm.el (charsets-mime-charset-alist): Ditto.

2002-06-21  Katsumi Yamaoka  <yamaoka@jpl.org>

	* mcs-e20.el (charsets-mime-charset-alist): Add Latin8 and Latin9
	charsets.  Suggested by Tatsuya Kinoshita <tats@iris.ne.jp>.
	* mcs-xm.el (charsets-mime-charset-alist): Ditto.

2002-05-14  Katsumi Yamaoka  <yamaoka@jpl.org>

	* pccl.el (ccl-usable): Make non-MULE XEmacs don't require `ccl'
	even if this file is mis-compiled for XEmacs with MULE.

2002-03-23  Nix  <nix@esperi.demon.co.uk>

	* poem-ltn1.el (truncate-string): Act like the real `truncate-string':
	do not fail if the string is shorter than the max length.

2002-04-30  Katsumi Yamaoka  <yamaoka@jpl.org>

	* poem-xm.el (string-to-char-list): Revive it again.

2002-04-25  Katsumi Yamaoka  <yamaoka@jpl.org>

	* poem-xm.el (string-to-char-list): Remove.  It is restored in
	XEmacs CVS.

2002-04-15  Katsumi Yamaoka  <yamaoka@jpl.org>

	* poem-xm.el (char-length): New function.
	(string-to-char-list): New function.

2002-03-04  Katsumi Yamaoka  <yamaoka@jpl.org>

	* pym.el: Add a note that `def*-maybe' might not provide functions
	or variables at run-time.

2001-12-05  Katsumi Yamaoka  <yamaoka@jpl.org>

	* tinycustom.el (custom-declare-face): New function.
	(defface): Use it.

2001-10-15  Katsumi Yamaoka  <yamaoka@jpl.org>

	* poe.el (format-time-string): Support the 3rd arg `universal'.
	(support-timezone-in-numeric-form-and-3rd-arg): Renamed from
	`support-timezone-in-numeric-form';
	support the 3rd arg `universal'.

2001-10-12  TSUCHIYA Masatoshi  <tsuchiya@pine.kuee.kyoto-u.ac.jp>

	* poe.el (format-time-string): Support the construct `%z'.
	(support-timezone-in-numeric-form): New advice.

2001-09-09   Daiki Ueno  <ueno@unixuser.org>

	* pccl.el (transform-make-coding-system-args): Follow old backquote
	style.

2001-07-20  NAKAJIMA Mikio  <minakaji@osaka.email.ne.jp>

	* install.el (install-file, install-elisp-module): Set file modes
	according to `install-overwritten-file-modes'.

	* poe-18.el (defalias): Remove alias to fset and define it by
	using `defun'.

2001-06-23  NAKAJIMA Mikio  <minakaji@osaka.email.ne.jp>

	* install.el (install-files): Do not make DEST directory when
	JUST-PRINT is non-nil.

2001-06-20  Akihiro MOTOKI <amotoki@dd.iij4u.or.jp>

	* install.el (install-elisp-modules): Do not make DEST directory
	when JUST-PRINT is non-nil.

2001-06-01  Tanaka Akira      <akr@m17n.org>

	* pccl.el (ccl-compat): Since mule 2.3 accepts `t' and `nil' as `type'
	argument, so arguments conversion shouln't applied in such case.
	
2001-05-24  Tanaka Akira      <akr@m17n.org>

	* pccl.el (accept-long-ccl-program): Don't advice for Emacs 21.
	(transform-make-coding-system-args): New emulating function.
	(ccl-compat): new advice for `make-coding-system' of
	Emacs 20 or former to handle XEmacs style CCL coding system definition.

2001-04-29  Shuhei KOBAYASHI  <shuhei@aqua.ocn.ne.jp>

	* poe.el (remassoc, remassq, remrassoc, remrassq): Fixed.

2001-03-26  Yuuichi Teranishi  <teranisi@gohome.org>

	* EMU-ELS: Add checking whether the native timezone.el has an old
	date string parser.

2001-03-23  TSUCHIYA Masatoshi  <tsuchiya@pine.kuee.kyoto-u.ac.jp>

	* timezone.el (timezone-parse-date): Import from Emacs-20.7.

2001-02-23  Katsumi Yamaoka   <yamaoka@jpl.org>

	* emu.el (char-category for XEmacs): Don't use `int-char' when the
	function `char-category-list' returns a list of characters.

2001-02-01  NAKAJIMA Mikio  <minakaji@osaka.email.ne.jp>

	* README.ja: Updated as to MAKEIT.BAT and MAKE1.BAT.
	* make1.bat: New file.
	* makeit.bat: Ditto.
	* make.bat: Removed.

2001-01-18  Katsumi Yamaoka   <yamaoka@jpl.org>

	* inv-19.el (next-visible-point): Return the value of `point-max'
	when the position of next `invisible' property change is not found.

2001-01-15  Yuuichi Teranishi  <teranisi@gohome.org>

	* poe-18.el (floor): Removed.

	* timezone.el (timezone-floor): New function.
	(timezone-fix-time-2): Use `timezone-floor' instead of `floor'.

2000-12-31  NAKAJIMA Mikio  <minakaji@osaka.email.ne.jp>

	* README.ja: Typo fixed.


2000-12-30  NAKAJIMA Mikio  <minakaji@osaka.email.ne.jp>

	*  APEL: Version 10.3 released.
	* apel-ver.el (apel-ver): Change APEL version to 10.3.

	* Makefile : Apply patch from TAKAHASHI Kaoru <kaoru@se.uec.ac.jp>
	of Message-Id: <86vgs2s3cp.wl@tomoko.nantnaq.kaisei.org>.

2000-12-28  Tanaka Akira      <akr@m17n.org>

	* pccl-20.el (ccl-compat): new advice for `make-coding-system' of
	XEmacs to handle Emacs style CCL coding system definition.

2000-12-28  Kenichi Handa     <handa@etl.go.jp>

	* static.el: Doc-string fixed.

2000-12-28  MORIOKA Tomohiko  <tomo@kanji.zinbun.kyoto-u.ac.jp>

	* mcharset.el (default-mime-charset-for-write): Use
	`mime-charset-p' instead of `find-coding-system'; don't require
	`pces'.

	* mcs-nemacs.el, mcs-ltn1.el, mcs-20.el (mime-charset-p): New
	alias.

2000-12-26  NAKAJIMA Mikio  <minakaji@osaka.email.ne.jp>

	* README.en: Change major mode to outline-mode.
	(What's APEL?): Add description about pym.el, pces, time-stamp.el,
	timezone.el, and product.el.
	(run in expanded place): Add a reference to `make.bat (for MS-DOS
	family)'.

	* README.ja: Change major mode to outline-mode.
	(What's APEL?): Add description about pym.el, pces, time-stamp.el,
	timezone.el, and product.el.

2000-12-24  NAKAJIMA Mikio  <minakaji@osaka.email.ne.jp>

	* poe.el (minor-mode-overriding-map-alist): Remove the filename
	poe.el from doc string.

	* poe-18.el (current-time-world-timezones): Remove the filename
	poe-18.el from doc string.
	(current-time-local-timezone): Ditto.
	(buffer-undo-list): Ditto.
	(auto-fill-function): Ditto.
	(unread-command-event): Ditto.
	(unread-command-events): Ditto.
	(minor-mode-map-alist): Ditto.

	* README.en ((d) make.bat (for MS-DOS family)): New section.
	* README.ja ((d) make.bat を利用する (MS-DOS 系 OS の場合)):
	Ditto.

2000-12-22  MORIOKA Tomohiko  <tomo@kanji.zinbun.kyoto-u.ac.jp>

	* mcs-e20.el: Require `pces'.

2000-12-22  Yuuichi Teranishi <teranisi@gohome.org>

	* timezone.el (timezone-time-from-absolute): Use `%' instead of
	`mod'.

2000-12-21  Katsumi Yamaoka   <yamaoka@jpl.org>

	* poe-18.el (numberp, mod): Removed.

2000-12-21  MORIOKA Tomohiko  <tomo@kanji.zinbun.kyoto-u.ac.jp>

	* mcharset.el (default-mime-charset-for-write): Require `pces' for
	`find-coding-system'.

2000-12-21  NAKAJIMA Mikio    <minakaji@osaka.email.ne.jp>

	* poe-18.el (minor-mode-alist): Removed.
	(minor-mode-overriding-map-alist): Move to poe.el.

2000-12-20  MORIOKA Tomohiko  <tomo@kanji.zinbun.kyoto-u.ac.jp>

	* APEL-MK (install-apel): Add new optional argument `just-print'.
	(what-where-apel): New implementation [use `install-apel' with
	`just-print' mode].

2000-12-20  MORIOKA Tomohiko  <tomo@kanji.zinbun.kyoto-u.ac.jp>

	* APEL-MK (install-just-print-p): Moved to install.el.
	(install-update-package-files): Moved to install.el.

	* install.el (install-update-package-files): New function [moved
	from APEL-MK].
	(install-just-print-p): Likewise.

2000-12-15  MORIOKA Tomohiko  <tomo@kanji.zinbun.kyoto-u.ac.jp>

	* mcs-xm.el: Don't require `poem' instead of `mcs-20'.

	* mcs-e20.el: Don't require mcs-20.

	* mcs-20.el: - Don't require `poem'.
	- Require `custom' instead of `pcustom'.
	- Require mcs-xm for XEmacs-Mule.
	- Require mcs-e20 for GNU Emacs 20.1 or later.
	(default-mime-charset): Change initial value to `x-unknown'.

	* mcharset.el: Require mcs-20 if running with XEmacs-Mule and GNU
	Emacs 20.1 or later.

2000-12-19  Katsumi Yamaoka   <yamaoka@jpl.org>

	* poe.el (current-fill-column): New emulating function.
	(current-left-margin): New emulating function.

	* poe-18.el (numberp): Use `defalias-maybe' instead of `defalias'.
	(mod): Ditto.

2000-12-20  NAKAJIMA Mikio  <minakaji@osaka.email.ne.jp>

	* poe-18.el (set-frame-height): Typo fixed.
	(read-from-minibuffer): Do not run `minibuffer-setup-hook' and
	`minibuffer-exit-hook'.
	(minibuffer-setup-hook): Comment out.
	(minibuffer-exit-hook): Ditto.

2000-12-19  NAKAJIMA Mikio  <minakaji@osaka.email.ne.jp>

	* make.bat: Do not echo.

	* poe-18.el (set-frame-heigth): Bug fixed.

2000-12-16  NAKAJIMA Mikio  <minakaji@osaka.email.ne.jp>

	* poe-18.el (frame-width): New function.
	(frame-height): Ditto.
	(set-frame-width): Ditto.
	(set-frame-heigth): Ditto.
	(read-from-minibuffer): Run `minibuffer-setup-hook' and
	`minibuffer-exit-hook'.
	(buffer-undo-list): Declared with `defvar-maybe' and add doc
	string.
	(auto-fill-function): Add doc string.
	(unread-command-event): Ditto.
	(unread-command-events): Ditto.
	(minibuffer-setup-hook): New variable.
	(minibuffer-exit-hook): Ditto.
	(minor-mode-map-alist): Ditto.
	(minor-mode-alist): Ditto.
	(minor-mode-overriding-map-alist): Ditto.

2000-12-15  NAKAJIMA Mikio  <minakaji@osaka.email.ne.jp>

	* make.bat (listing): Bug fixed.

	* README.en: Add URL that can be used to getting SKK 10.62a with
	the new byte compiler for Emacs 18.
	* README.ja: Ditto.

2000-12-15  TAKAHASHI Kaoru  <kaoru@kaisei.org>

	* Makefile (tar): Remove .cvsignore.  Use `cvs tag -R' instead of
	`cvs tag -RF'.

2000-12-15  Katsumi Yamaoka   <yamaoka@jpl.org>

	* poe-18.el (buffer-disable-undo): Define it as a function to make
	an argument optional instead of the use of `defalias' to
	`buffer-flush-undo'.

2000-12-14   Daiki Ueno  <ueno@unixuser.org>

	* alist.el (del-alist): Simplified.

2000-12-14  Mikio Nakajima  <minakaji@osaka.email.ne.jp>

	* pym.el (static-if): Put t on edebug spec instead of if.

2000-12-13  Kenichi Handa  <handa@etl.go.jp>

	* alist.el: Fix and add DOCs and comments; fix coding style.

2000-04-26  MORIOKA Tomohiko  <tomo@kanji.zinbun.kyoto-u.ac.jp>

	* mcs-xm.el (charsets-mime-charset-alist): Add coded-charset
	`japanese-jisx0208-1990' to MIME-charset `iso-2022-jp' and
	`iso-2022-jp-2' in UTF-2000; add new MIME-charset `iso-2022-jp-3'.

2000-11-26  Mikio Nakajima  <minakaji@osaka.email.ne.jp>

	* make.bat: New file.
	* .cvsignore: Ditto.

2000-11-09  Katsumi Yamaoka   <yamaoka@jpl.org>

	* path-util.el (add-path): Check for both "path" and "path/".

2000-10-06  Shuhei KOBAYASHI  <shuhei@aqua.ocn.ne.jp>

	* poe.el (require): Update `current-load-list'.

2000-10-10  Keiichi Suzuki  <keiichi@mdcnet.co.jp>

	* product.el (product-version-as-string): New function.
	(product-string-1): Use `product-version-as-string'.

2000-08-10  MORIOKA Tomohiko  <tomo@m17n.org>

	* poem-e20_3.el: Require `pym'.

2000-07-12  MORIOKA Tomohiko  <tomo@kanji.zinbun.kyoto-u.ac.jp>

	* alist.el (vassoc): New function [to be compatible with XEmacs
	21.2.32 or later].

2000-05-25  Tanaka Akira      <akr@m17n.org>

	* README.en, README.ja: Update for CVS via SSH.

2000-05-24  Katsumi Yamaoka   <yamaoka@jpl.org>

	* pces-raw.el (encode-coding-string, decode-coding-string): Return
	a copy of string.

2000-04-25  Katsumi Yamaoka   <yamaoka@jpl.org>

	* EMU-ELS (emu-modules): Don't include `pccl-20' for XEmacs 20 and
	earlier.

2000-03-25  Mikio Nakajima  <minakaji@osaka.email.ne.jp>

	* pym.el: Define edebug specs for `static-if', `static-when',
	`static-unless', `static-condition-case', `static-defconst' and
	`static-cond'.

2000-03-08  Akihiro Arisawa  <ari@atesoft.advantest.co.jp>

	* poe.el (format-time-string): Fix problem when `format' contains
	"%d" or "%D".

2000-03-04   Daiki Ueno  <ueno@ueda.info.waseda.ac.jp>

	* poe.el (remassq,remassoc,remrassoc): Rewrite.
	(remrassq): New function.


2000-03-01  Yuuichi Teranishi  <teranisi@gohome.org>

	* APEL: Version 10.2 released.

2000-02-29  Yuuichi Teranishi  <teranisi@gohome.org>

	* poe-18.el (current-time-string): Fixed leap year's day counting bug.

2000-02-28  Katsumi Yamaoka   <yamaoka@jpl.org>

	* emu.el (enriched-encode): Do nothing for it if FSF Emacs 19.28
	and earlier or XEmacs 19.13 and earlier is used.

2000-02-25  Katsumi Yamaoka   <yamaoka@jpl.org>

	* emu.el (enriched-encode): Allow the 3rd argument ORIG-BUF for old
	Emacsen.

2000-02-21  Makoto Nakagawa  <Makoto.Nakagawa@jp.compaq.com>

	* poe.el (format-time-string): New function for Emacs 19.28 and
	earlier.
	(format-time-month-list): New constant for `format-time-string'.
	(format-time-week-list): New constant for `format-time-string'.

2000-02-21   Daiki Ueno  <ueno@ueda.info.waseda.ac.jp>

	* poe-18.el (walk-windows): New function.

	* poe-xemacs.el
	(set-extent-properties): New function.
	(run-at-time): New function.
	(cancel-timer): New function.
	(with-timeout-handler): New function.
	(with-timeout): New function.

	* poe.el (remassq): New function.
	(remassoc): New function.
	(remrassoc): New function.
	(get-buffer-window-list): New function.
	(save-selected-frame): New macro.

2000-02-10  Yuuichi Teranishi  <teranisi@gohome.org>

	* poe.el (replace-match): Redefined to add `STRING' optional
	argument.

2000-02-07  Yuuichi Teranishi  <teranisi@gohome.org>

	* poe-18.el (mod): Define as an alias for `%'.
	(overlayp, move-overlay, delete-overlay, overlay-start,
	overlay-end, overlay-buffer, overlay-properties, overlays-at,
	overlays-in, next-overlay-change, previous-overlay-change,
	overlay-lists, overlay-recenter, overlay-get):
	Define as null function.

2000-02-05  MORIOKA Tomohiko  <tomo@m17n.org>

	* mcs-20.el (mime-charset-coding-system-alist): Add
	`iso-2022-jp-3'.

2000-02-04  Katsumi Yamaoka   <yamaoka@jpl.org>

	* poe.el (read-file-name): Replacement for Emacs 19.28 and earlier
	(except for Emacs 18) or XEmacs 19.13 and earlier, for
	compatibility.

2000-02-04  Yuuichi Teranishi  <teranisi@gohome.org>

	* timezone.el (timezone-floor): Eliminated.
	(timezone-fix-time-2): Use `floor' instead of `timezone-floor'.

	* poe-18.el (current-time): Fixed leap year count bug.
	(set-time-zone-rule): New function.
	(current-time-zone): Use `set-time-zone-rule'.
	(floor): New function.
	(window-live-p): New function.
	(read-from-minibuffer): Redefined to add `HIST' optional argument.
	(accept-process-output): Redefined to add `TIMEOUT' and
	`TIMEOUT-MSECS' optional arguments.
	(get-buffer-window): Redefined to add `FRAME' optional argument.

	* poe.el (completing-read): Redefined to adjust optional arguments
	for some emacsen.

2000-01-31  Mikio Nakajima  <minakaji@osaka.email.ne.jp>

	* poe-18.el (defalias): Remove its definition as a function and
	define it as an alias for `fset'.
	(auto-fill-function): Declare with defvar-maybe.
	(unread-command-event): Ditto.
	(unread-command-events): Ditto.
	(insert-and-inherit): Defile with defalias.
	(insert-before-markers-and-inherit): Ditto.
	(number-to-string): Ditto.

2000-01-30  Mikio Nakajima  <minakaji@osaka.email.ne.jp>

	* poe-18.el (window-minibuffer-p): New function.

2000-01-30  Tsukamoto Tetsuo  <czkmt@remus.dti.ne.jp>

	* pces-om.el (insert-file-contents-as-coding-system): Ignore BEG,
	END and REPLACE under Emacs 18, or Mule 1.1 or earlier.
	(insert-file-contents-as-binary): Ditto.

2000-01-27  Shuhei KOBAYASHI  <shuhei@aqua.ocn.ne.jp>

	* APEL-CFG: Typo.

2000-01-26  Shuhei KOBAYASHI  <shuhei@aqua.ocn.ne.jp>

	* poe-18.el (set-match-data): New alias for `store-match-data'.
	(save-match-data-internal): New variable.
	(save-match-data): New macro; use above.

	(defalias): Docstring sync.
	(put-text-property): Typo.

2000-01-23  Tsukamoto Tetsuo  <czkmt@remus.dti.ne.jp>

	* poe-18.el (byte-code-function-p): Check if the CDR of OBJECT is
	a cons cell.


2000-01-21  Yuuichi Teranishi  <teranisi@gohome.org>

	* APEL: Version 10.1 released.

2000-01-19  Shuhei KOBAYASHI  <shuhei@aqua.ocn.ne.jp>

	* poe.el (require): Handle `file-error' only.

2000-01-12  OKAZAKI Tetsurou  <okazaki@be.to>

	* EMU-ELS (emu-modules): Add `pccl' even if `mule' is not provided.

2000-01-05  Katsumi Yamaoka   <yamaoka@jpl.org>

	* Makefile, README.en, README.ja: Update for the new CVS server.

1999-12-24  Shuhei KOBAYASHI  <shuhei@aqua.ocn.ne.jp>

	* poe.el (functionp): Define it before loading "localhook".


1999-12-24  Yuuichi Teranishi  <teranisi@gohome.org>

	* APEL: Version 10.0 released.

1999-12-24  Keiichi Suzuki  <keiichi@nanap.org>

	* apel-ver.el: Fix file header.

1999-12-23  Yuuichi Teranishi  <teranisi@gohome.org>

	* timezone.el (timezone-abs): Eliminated.
	(timezone-zone-to-minute): Use `abs' instead of `timezone-abs'.

	* poe-18.el (current-time-zone): Use `abs'.

1999-12-23  Keiichi Suzuki  <keiichi@nanap.org>

	* product.el: Fix file header. `checkdoc' fix.

	* apel-ver.el: Fix file header.

1999-12-22  Shuhei KOBAYASHI  <shuhei@aqua.ocn.ne.jp>

	* APEL-ELS, EMU-ELS: product.el, apel-ver.el, time-stamp.el,
	and timezone.el are version-dependent.

	* product.el (emacs-major-version, emacs-minor-version): Moved
	from poe.el.

	* poe.el (emacs-major-version, emacs-minor-version): Removed.

	* pym.el: Add product information.

1999-12-22  Yuuichi Teranishi  <teranisi@gohome.org>

	* poe.el (string-to-int): Commented out an alias for
	`string-to-number'.

1999-12-13  Katsumi Yamaoka   <yamaoka@jpl.org>

	* poe-18.el: Fix open parenthesis.

	* README.ja: Sync up with README.en.

	* README.en: Fix what versions of Emacsen can use
	`normal-top-level-add-to-load-path'.

1999-12-12  Shuhei KOBAYASHI  <shuhei@aqua.ocn.ne.jp>

	* APEL-MK: Modified comments.

	* poe.el: Modified comments.

	* pym.el: Modified comments.
	(defalias-maybe): Don't update `current-load-list'.

1999-12-06  Shuhei KOBAYASHI  <shuhei@aqua.ocn.ne.jp>

	* pym.el (subr-fboundp): Reverted; but considered as obsolete.

1999-12-05  Shuhei KOBAYASHI  <shuhei@aqua.ocn.ne.jp>

	* poe-18.el (numberp): New function; alias for `integerp'.
	(abs): New function.

	* poe-18.el (byte-code-function-p): Docstring sync.
	(cyclic-function-indirection): New error symbol.
	(indirect-function): New function; use above symbol.

1999-11-30  Shuhei KOBAYASHI  <shuhei@aqua.ocn.ne.jp>

	* poe-18.el (current-time-string): New local variable `lyear'
	for leap year; renamed from `uru' and bind locally.

	* poe.el (emacs-major-version, emacs-minor-version): Define
	at compile-time as well as at load-time in order to do compile-
	time version check.
	(tcp): Require if `open-network-stream' is not available;
	moved from "pces.el".

	* pym.el: Removed comment.

1999-11-28  Shuhei KOBAYASHI  <shuhei@aqua.ocn.ne.jp>

	* poe.el, poe-18.el, poe-xemacs.el, pym.el: Modified comments.

1999-11-25  Shuhei KOBAYASHI  <shuhei@aqua.ocn.ne.jp>

	* poe-18.el: Modified comments.
	(buffer-undo-list, data-directory): Use `defvar'.
	(generate-new-buffer-name): Use `defun'.

1999-11-22  Shuhei KOBAYASHI  <shuhei@aqua.ocn.ne.jp>

	* pccl-20.el, pccl-om.el: Removed "[SOURCE INFO]" style
	comment from docstrings.

	* pccl-om.el, localhook.el, pcustom.el: Updated header.

1999-11-13  Shuhei KOBAYASHI  <shuhei@aqua.ocn.ne.jp>

	* Removed "[SOURCE INFO]" style comment from docstrings.
	Most of them are out of sync, and now there are some other
	ways to get such information.

	* poe-18.el: Rearranged.
	(lambda): New macro.
	(get-char-property, next-single-property-change,
	 previous-property-change, previous-single-property-change,
	 text-property-any, text-property-not-all,
	 next-char-property-change, previous-char-property-change):
	Define as null function.

	* poe-xemacs.el: Rearranged.
	(eval-after-load): Moved to poe.el.

	* poe.el: Rearranged; reduce load-time check.
	Moved many macros to pym.el.
	(require): New function; emulate optional 3rd arg.
	(plist-get, plist-put): New functions.
	(string-to-number): New function.
	(push, pop): New macros.
	(assoc-default): New function.
	(eval-after-load, eval-next-after-load): New functions;
	moved from poe-xemacs.el and modified for Emacs 19.28.
	(buffer-file-type): New variable.
	(with-temp-message, with-output-to-string): New macros.
	(combine-after-change-calls): Docstring sync.
	(match-string-no-properties): New function.
	(convert-standard-filename): Do load-time check.

1999-11-13  Shuhei KOBAYASHI  <shuhei@aqua.ocn.ne.jp>

	* pym.el (defsubst-maybe-cond): New macro.

	* pym.el (defun-maybe, defmacro-maybe, defsubst-maybe,
	defalias-maybe, defvar-maybe, defconst-maybe,
	defun-maybe-cond, defmacro-maybe-cond, def-edebug-spec):
	Moved from poe.el.

	* EMU-ELS (emu-modules): Added 'pym.

	* pym.el: New file.

1999-11-13  Shuhei KOBAYASHI  <shuhei@aqua.ocn.ne.jp>

	* APEL-MK, APEL-CFG, APEL-ELS, EMU-ELS, Makefile: Revised.

1999-11-12  Shuhei KOBAYASHI  <shuhei@aqua.ocn.ne.jp>

	* inv-18.el, inv-19.el, inv-xemacs.el:
	Require 'poe in each submodule.
	(enable-invisible): Changed to function.
	(disable-invisible): Renamed from `end-of-invisible'.
	Changed to function.
	(end-of-invisible): Make obsolete.

1999-11-12  Shuhei KOBAYASHI  <shuhei@aqua.ocn.ne.jp>

	* README.en (Version specific information): New section.
	(Bug reports): Updated description of APEL mailing-lists.

	* pcustom.el [old custom]: Refer to it.

	* tinycustom.el: checkdoc.

1999-11-12  Shuhei KOBAYASHI  <shuhei@aqua.ocn.ne.jp>

	* APEL-MK: Require 'path-util explicitly.

1999-11-12  Shuhei KOBAYASHI  <shuhei@aqua.ocn.ne.jp>

	* APEL-MK, APEL-CFG, APEL-ELS, EMU-ELS: Rewritten.

	* install.el: Removed v18 stuff; now we require 'poe.
	Modified some comments.


1999-12-22  Yuuichi Teranishi  <teranisi@gohome.org>

	* timezone.el: Modified comments.
	(toplevel): Require 'product.

1999-12-21  Shuhei KOBAYASHI  <shuhei@aqua.ocn.ne.jp>

	* apel-ver.el: Footer fix.

1999-12-21  Yuuichi Teranishi  <teranisi@gohome.org>

	* poe-18.el (current-time-zone): New function.
	(current-time-world-timezones, current-time-local-timezone):
	New variables.
	(current-time-string): Use `current-time-zone' to get local timezone.
	(current-time): Ditto.

	* timezone.el: New file.

	* APEL-ELS (apel-modules): Add `timezone' if existing timezone.el
	has y2k problem.

	* product.el (product-string-1): Use `int-to-string' instead of
	`number-to-string'.

1999-12-20  Shuhei KOBAYASHI  <shuhei@aqua.ocn.ne.jp>

	* apel-ver.el, product.el: Header fix.

1999-12-20  Keiichi Suzuki  <keiichi@nanap.org>

	* alist.el, atype.el, broken.el, calist.el, emu-mule.el, emu.el,
	  env.el, file-detect.el, filename.el, install.el, inv-18.el,
	  inv-19.el, inv-xemacs.el, invisible.el, localhook.el,
	  mcharset.el, mcs-20.el, mcs-e20.el, mcs-ltn1.el, mcs-nemacs.el,
	  mcs-om.el, mcs-xm.el, mcs-xmu.el, mule-caesar.el, path-util.el,
	  pccl-20.el, pccl-om.el, pccl.el, pces-20.el, pces-e20.el,
	  pces-e20_2.el, pces-nemacs.el, pces-om.el, pces-raw.el,
	  pces-xfc.el, pces-xm.el, pces.el, pcustom.el, poe-18.el,
	  poe-xemacs.el, poe.el, poem-e20.el, poem-e20_2.el,
	  poem-e20_3.el, poem-ltn1.el, poem-nemacs.el, poem-om.el,
	  poem-xm.el, poem.el, richtext.el, static.el, time-stamp.el,
	  tinycustom.el, tinyrich.el (TopLevel): Add product information.

	* Sync up with apel-product.

* 1999-11-12  Keiichi Suzuki  <keiichi@nanap.org>

	* product.el (product-define): Add new slot `version-string'.
	(product-provide): Likewise.
	(product-version-string): New function.
	(product-set-version-string): New function.
	(product-string-1): Use `version-string'.
	(product-for-each): New function.
	(product-string): Separate `product-string' and
	`product-string-verbose'.
	(product-string-verbose): Likewise.
	(product-parse-version-string): New function.

* 1999-11-12  Shuhei KOBAYASHI  <shuhei@aqua.ocn.ne.jp>

	* product.el: Some `checkdoc' fixes.
	(product-version>=): Eliminate local variable.

* 1999-11-12  Keiichi Suzuki  <keiichi@nanap.org>

	* product.el: New file.

	* apel-ver.el: New file.

	* APEL-ELS (apel-modules): Add `apel-ver' and `product'.

1999-11-25  Yuuichi Teranishi  <teranisi@gohome.org>

	* poe-18.el (current-time-string, current-time): New functions.

1999-11-11  Shuhei KOBAYASHI  <shuhei@aqua.ocn.ne.jp>

	* localhook.el, pcustom.el: checkdoc.

1999-11-09  Katsumi Yamaoka   <yamaoka@jpl.org>

	* pcustom.el: Warn if the new custom library is not found at the
	compile time.

	* APEL-CFG: Don't add the path of "custom" to `load-path'.

	* poe-18.el (file-executable-p): Returns nil if the file does not
	exist.

1999-11-08  Yuuichi Teranishi  <teranisi@gohome.org>

	* poe-18.el (put-text-property, next-property-change,
	text-properties-at): Define as null function.

1999-11-02  Katsumi Yamaoka   <yamaoka@jpl.org>

	* poe-18.el (add-text-properties, get-text-property): Define as
	null function.
	(file-executable-p): New function.


1999-10-22  Katsumi Yamaoka   <yamaoka@jpl.org>

	* APEL: Version 9.23 released.

1999-10-22  Katsumi Yamaoka   <yamaoka@jpl.org>

	* APEL-MK (compile-apel-package): Compile `emu-modules-to-compile'
	instead of `emu-modules'.
	(compile-apel): Likewise.

	* EMU-ELS (emu-modules-to-compile): New variable which is used for
	compiling in APEL-MK.  If the feature `utf-2000' is provided,
	`mcs-xmu' is removed from its value even if `emu-modules' contains
	it.
	(emu-modules-not-to-compile): New variable.

	* mcs-xm.el (mime-iso646-character-unification-alist): Move to
	mcs-xmu.el.
	(mime-unified-character-face): Move to mcs-xmu.el.
	(mime-character-unification-limit-size): Move to mcs-xmu.el.
	(decode-mime-charset-region-with-iso646-unification): Move to
	mcs-xmu.el.

	* mcs-xmu.el: New file.

1999-10-22  Katsumi Yamaoka   <yamaoka@jpl.org>

	* EMU-ELS (pces-modules): Don't check for the feature `mule'
	whether `pces-xfc' is required.
	* pces.el: Likewise.

	* mcs-xm.el: (decode-mime-charset-region-with-iso646-unification):
	Narrow to the region while decoding; bind `case-fold-search' to nil.
	(mime-character-unification-limit-size): Make it can also be nil
	which means the size is unlimited.

1999-10-14  Mikio Nakajima    <minakaji@osaka.email.ne.jp>

	* mcs-xm.el (decode-mime-charset-region-with-iso646-unification):
	Don't put `mime-unified-character-face' to unified text if it is
	nil.
	(mime-character-unification-limit-size): Fix doc string.

1999-10-13  Katsumi Yamaoka   <yamaoka@jpl.org>

	* poe.el (file-coding): Provide it for XEmacs 20.4 or earlier with
	MULE.

1999-10-13  Daiki Ueno  <ueno@ueda.info.waseda.ac.jp>

	* EMU-ELS (pces-modules): Add `pces-raw' if file-coding feature is
	not available in a XEmacs-without-MULE.

	* pces.el: Require `pces-raw' if file-coding feature is	not
	available in a XEmacs-without-MULE.

1999-10-04  Katsumi Yamaoka   <yamaoka@jpl.org>

	* path-util.el (exec-installed-p): Add parens.

1999-10-04  Keiichi Suzuki  <keiichi@nanap.org>

	* path-util.el (exec-installed-p): Use `file-executable-p' instead
	of `file-exists-p'.
	When FILE already inculdes suffix in `exec-suffix-list', do not
	expand file name with `exec-suffix-list'.
	(module-installed-p): Do not use `exec-installed-p'.

1999-09-27  MORIOKA Tomohiko  <tomo@m17n.org>

	* mcs-xm.el: Use `unless' instead `static-unless' to share *.elc
	between UTF-2000 and non-UTF-2000.

1999-09-24  Mikio Nakajima    <minakaji@osaka.email.ne.jp>

	* pces-om.el (find-coding-system): New inline function.
	<cf. [tm-ja:5238]>

1999-09-23  MORIOKA Tomohiko  <tomo@m17n.org>

	* mcs-20.el (mime-charset-coding-system-alist): Use coding-system
	`tis-620' instead of `tis620'.

	* mcs-xm.el (charsets-mime-charset-alist): Add setting for
	`tis-620'.

1999-09-22  MORIOKA Tomohiko  <tomo@m17n.org>

	* mcs-20.el (mime-charset-coding-system-alist): Add `cp874'.

1999-09-21  Katsumi Yamaoka   <yamaoka@jpl.org>

	* EMU-ELS (pces-modules): Add `pces-xfc' if the feature `mule' is
	provided even though the feature `file-coding' is not provided.

	* pces.el: Require `pces-xfc' if the feature `mule' is provided
	even though the feature `file-coding' is not provided.


1999-09-13  MORIOKA Tomohiko  <tomo@m17n.org>

	* APEL: Version 9.22 released.

1999-09-12  Mikio Nakajima  <minakaji@osaka.email.ne.jp>

	* poe.el (defmacro-maybe-cond): Add edebug spec.

1999-09-12  Yoshiki Hayashi  <t90553@mail.ecc.u-tokyo.ac.jp>

	* poe.el (defun-maybe-cond): Add edebug spec.

1999-09-09  MORIOKA Tomohiko  <tomo@m17n.org>

	* mcs-xm.el (mime-charset-decoder-alist): Don't use
	`decode-mime-charset-region-with-iso646-unification' if running
	XEmacs-UTF-2000.
	(mime-iso646-character-unification-alist): Don't define if running
	XEmacs-UTF-2000.
	(mime-unified-character-face): Likewise.
	(mime-character-unification-limit-size): Likewise.
	(decode-mime-charset-region-with-iso646-unification): Likewise.

1999-09-09  Katsumi Yamaoka   <yamaoka@jpl.org>

	* tinycustom.el (defface): Allow `type' in SPEC; enrich doc string.

1999-09-08  Katsumi Yamaoka   <yamaoka@jpl.org>

	* tinycustom.el (frame-background-mode): New variable.

	* poe.el (frame-background-mode): Move to tinycustom.el.

1999-09-03  Katsumi Yamaoka   <yamaoka@jpl.org>

	* tinycustom.el (defface): Set the face attributes according to
	SPEC.

	* poe.el (frame-background-mode): New variable.

1999-09-02  MORIOKA Tomohiko  <tomo@m17n.org>

	* poe.el: Delete autoload setting for `filename'.
	(convert-standard-filename): Require `filename'.

1999-09-02  Katsumi Yamaoka   <yamaoka@jpl.org>

	* poe.el (convert-standard-filename): Rearrange.

1999-09-01  Katsumi Yamaoka   <yamaoka@jpl.org>

	* poe.el (convert-standard-filename): New function.

1999-08-27  MORIOKA Tomohiko  <tomo@m17n.org>

	* install.el (emacs-major-version): Deleted.
	(emacs-minor-version): Deleted.

	* path-util.el: Require `poe'. [cf. <tm-ja:5051>]

1999-08-27  Katsumi Yamaoka   <yamaoka@jpl.org>

	* install.el: Require `poe'. <cf. [tm-ja:5055]>

	* path-util.el (directory-files): Don't redefine.

1999-08-26  Katsumi Yamaoka   <yamaoka@jpl.org>

	* path-util.el (directory-files): Emulate as Emacs 19 or later to
	accept the optional fourth argument for old Emacsen.  It is needed
	here for compiling other packages.

	* APEL-ELS (apel-modules): Add `time-stamp' if Emacs version is
	less than 19.16.

	* time-stamp.el: New file imported from Emacs 19.28.

1999-08-26  Katsumi Yamaoka   <yamaoka@jpl.org>

	* tinycustom.el (defface): Quote the argument of `make-face'.

1999-08-25  Katsumi Yamaoka   <yamaoka@jpl.org>

	* APEL-CFG: Don't provide `emu'; add the latest path of "custom"
	to `load-path'.

1999-08-25  MORIOKA Tomohiko  <tomo@m17n.org>

	* install.el: Don't require `emu'.
	(emacs-major-version): New variable [for old emacsen].
	(emacs-minor-version): New variable [for old emacsen].

1999-08-25  MORIOKA Tomohiko  <tomo@m17n.org>

	* poe-18.el (inline): New implementation using `defmacro'.


1999-08-24  MORIOKA Tomohiko  <tomo@m17n.org>

	* APEL: Version 9.21 released.

1999-08-24  Taiji Can         <Taiji.Can@atesoft.advantest.co.jp>

	* poem-nemacs.el: Use `char-width' instead of `char-columns'.

1999-08-24  MORIOKA Tomohiko  <tomo@m17n.org>

	* poe-18.el (inline): Use `defalias' instead of `defalias-maybe'.

1999-08-21  Mikio Nakajima  <minakaji@osaka.email.ne.jp>

	* poe.el (rassoc): Just ignore elements of LIST that are not conse
	cell and add doc string according to its features.

1999-08-20  Yuuichi Teranishi  <teranisi@gohome.org>

	* poe-18.el (delete): Return nil when argument 'list' is nil.

1999-08-17  Yoshiki Hayashi  <t90553@mail.ecc.u-tokyo.ac.jp>

	* README.en, README.ja (Anonymous FTP): New section.
	* README.ja (CVS): Translate.


1999-07-06  MORIOKA Tomohiko  <tomo@m17n.org>

	* APEL: Version 9.20 released.

1999-06-27  OKUNISHI Fujikazu <fuji0924@mbox.kyoto-inet.or.jp>

	* EMU-ELS: Install env.el for v18. <cf. [tm-ja:4710]>

1999-06-25  Katsumi Yamaoka   <yamaoka@jpl.org>

	* poem-xm.el (split-char): Don't redefine for the recent XEmacs.

1999-06-23  Shuhei KOBAYASHI  <shuhei@aqua.ocn.ne.jp>

	* poe.el (defun-maybe, defmacro-maybe, defalias-maybe,
	defsubst-maybe, defun-maybe-cond, defmacro-maybe-cond):
	Set `current-load-list' explicitly.

1999-06-22  Shuhei KOBAYASHI  <shuhei@aqua.ocn.ne.jp>

	* atype.el: Require 'poe.

	* mule-caesar.el: Require 'poe and 'poem.

	* filename.el: Require 'poe and 'poem.
	Don't require 'cl.
	(filename-special-filter): Eliminate `assoc-if'.

1999-06-22  Shuhei KOBAYASHI  <shuhei@aqua.ocn.ne.jp>

	* install.el: Require 'emu for backward compatibility.
	(defun-maybe): New macro; imported from poe.el.
	(make-directory-internal, make-directory): New functions; imported
	from poe-18.el.

	* APEL-CFG: Provide 'emu to prevent install.el from loading emu
	while compiling APEL itself.

1999-06-20  Shuhei KOBAYASHI  <shuhei@aqua.ocn.ne.jp>

	* install.el: Require 'poe instead of 'emu.
	(install-prefix): Don't use `running-emacs-18' or `running-xemacs'.
	(install-detect-elisp-directory): Eliminate local variable `dir'.
	Don't use `running-emacs-19_29-or-later' or `running-xemacs'.

	* mcs-20.el: Require 'pcustom instead of 'custom.

	* EMU-ELS: Don't use `running-emacs-19_29-or-later' or
	`running-xemacs-19_14-or-later.'

1999-06-18  Tanaka Akira      <akr@jaist.ac.jp>

	* static.el (static-condition-case): Wrap lambda expression by
	`function'.

	* calist.el (calist-default-field-match-method): Use `function'
	instead of #'.

1999-06-17  Shuhei KOBAYASHI  <shuhei@aqua.ocn.ne.jp>

	* pcustom.el: Load "custom" anyway.

1999-06-16  Katsumi Yamaoka   <yamaoka@jpl.org>

	* static.el (static-cond): New macro.

1999-06-11  Tanaka Akira      <akr@jaist.ac.jp>

	* static.el (static-defconst): New macro.

1999-06-04  MORIOKA Tomohiko  <tomo@m17n.org>

	* pces-xfc.el (insert-file-contents-literally-treats-binary): New
	facility.
	(insert-file-contents-literally-treats-file-name-handler): New
	facility.
	(insert-file-contents-as-binary): Define as an alias for
	`insert-file-contents-literally' if it is not broken.

1999-06-04  MORIOKA Tomohiko  <tomo@m17n.org>

	* EMU-ELS (pces-modules): New variable.

	* poem.el: Require pces.el.

	* pces.el: New module.

	* poem-xfc.el: Deleted.

	* pces-xfc.el: New module.

	* pces-nemacs.el: New module.

	* poem-nemacs.el: Split off features about coding-system to
	pces-nemacs.el.

	* pces-om.el: New module.

	* poem-om.el: Split off features about coding-system to
	pces-om.el.

	* pces-raw.el: New module.

	* poem-ltn1.el: Split off features about coding-system to
	pces-raw.el.

	* pces-xm.el: New module.

	* poem-xm.el: Split off features about coding-system to
	pces-xm.el.

	* pces-e20_2.el: New module.

	* poem-e20_2.el: Split off features about coding-system to
	pces-e20_2.el.

	* pces-e20.el: New module.

	* poem-e20.el (find-coding-system): Moved to pces-e20.el.
	(set-process-input-coding-system): Likewise.
	- Don't require `poem-20'.

	* pces-20.el: New module [renamed from poem-20.el].

1999-05-31  MORIOKA Tomohiko  <tomo@m17n.org>

	* calist.el (calist-field-match-method): Fix problem when
	`field-type' is a string.

1999-05-27  MORIOKA Tomohiko  <tomo@m17n.org>

	* calist.el (use-calist-package): New function.
	(make-calist-package): Add new optional argument `use'.

1999-05-27  MORIOKA Tomohiko  <tomo@m17n.org>

	* calist.el (calist-package-alist): New variable.
	(make-calist-package): New function.
	(find-calist-package): New function.
	(in-calist-package): New function.
	(standard): New calist package.
	(calist-field-match-method): Use method for `t' as a default
	method; set up `calist-default-field-match-method' as method for
	`t' of `standard' package.


1999-05-26  MORIOKA Tomohiko  <tomo@m17n.org>

	* APEL: Version 9.19 released.

1999-05-25  Shuhei KOBAYASHI  <shuhei@aqua.ocn.ne.jp>

	* poe.el: Do not try to require 'edebug; it will be autoloaded.

1999-05-24  Shuhei KOBAYASHI  <shuhei@aqua.ocn.ne.jp>

	* poem-om.el (char-before, char-after): Moved to poe.el.

	* poe.el (char-before, char-after): Moved from poem-om.el.
	Add definition for non-Mule.

1999-05-24  MORIOKA Tomohiko  <tomo@m17n.org>

	* poe.el (def-edebug-spec): New macro.
	(defun-maybe): Use `def-edebug-spec'.
	(defmacro-maybe): Likewise.
	(defsubst-maybe): Likewise.
	(read-string): Use `static-unless'.

1999-05-21  Shuhei KOBAYASHI  <shuhei@aqua.ocn.ne.jp>

	* README.en: Add description of localhook.el.

	* README.ja: Ditto.

	* Makefile (GOMI): New variable.
	(clean): Use `RM' and `GOMI'.

1999-05-21  MORIOKA Tomohiko  <tomo@m17n.org>

	* mcs-20.el (detect-mime-charset-region): Use
	`find-mime-charset-by-charsets'.

	* mcharset.el (find-mime-charset-by-charsets): New function.

1999-05-21  MORIOKA Tomohiko  <tomo@m17n.org>

	* mcharset.el: Require pcustom.
	(default-mime-charset-for-write): New variable [moved from
	mcs-20.el].
	(default-mime-charset-detect-method-for-write): Likewise.

	* mcs-20.el (default-mime-charset-for-write): Abolished [moved to
	mcharset.el].
	(default-mime-charset-detect-method-for-write): Likewise.

	* EMU-ELS: Don't install `localhook' for XEmacs.

1999-05-19  MORIOKA Tomohiko  <tomo@m17n.org>

	* mcs-20.el (mime-charset-to-coding-system): Don't use `defsubst'
	to avoid problem in XEmacs binary distributions.

1999-05-17  Shuhei KOBAYASHI  <shuhei@aqua.ocn.ne.jp>

	* poe-18.el (eval-when-compile, eval-and-compile): Reverted.

1999-05-16  Shuhei KOBAYASHI  <shuhei@aqua.ocn.ne.jp>

	* pcustom.el (toplevel): Require 'poe.

1999-05-16  Shuhei KOBAYASHI  <shuhei@aqua.ocn.ne.jp>

	* localhook.el (toplevel): Move provide to the top to avoid
	circular dependency.

1999-05-16  Shuhei KOBAYASHI  <shuhei@aqua.ocn.ne.jp>

	* poe-18.el (inline): New alias for `progn'.
	(make-obsolete-variable): New function.
	(dont-compile): New macro.

1999-05-16  Shuhei KOBAYASHI  <shuhei@aqua.ocn.ne.jp>

	* poe.el (subr-fboundp): Use `defun' instead of `defsubst'.

1999-05-16  Shuhei KOBAYASHI  <shuhei@aqua.ocn.ne.jp>

	* poem-om.el (insert-binary-file-contents-literally): Removed,
	since provided by emu.el.
	(char-before, char-after): Use `fboundp', not `boundp'.
	Use error-conditions directly.

1999-05-15  Shuhei KOBAYASHI  <shuhei@aqua.ocn.ne.jp>

	* poe.el (path-separator): Doc sync with 20.3.
	(add-to-list): Ditto.
	(buffer-live-p): Return bool value.
	(cadr, cdar, cddr): New functions.
	(save-current-buffer): Check whether `orig-buffer' is alive.
	(functionp): Sync with 20.3; use `car-safe'.
	(line-beginning-position, line-end-position): Use `forward-line'
	or `end-of-line' only.
	(point-at-bol, point-at-eol): Ditto.

1999-05-15  Shuhei KOBAYASHI  <shuhei@aqua.ocn.ne.jp>

	* localhook.el: New file; local hook variable support.

	* poe.el (add-hook, remove-hook, make-local-hook): Removed;
	require 'localhook instead.

	* poe-18.el: (default-boundp): New function.

	* EMU-ELS: Added localhook.

1999-05-14  Shuhei KOBAYASHI  <shuhei@aqua.ocn.ne.jp>

	* pcustom.el: Rewrite using static.el.

	* tinycustom.el (defface): Use `defmacro-maybe-cond'.

	* EMU-ELS: Compilation order of tinycustom and pcustom was changed.

1999-05-14  Shuhei KOBAYASHI  <shuhei@aqua.ocn.ne.jp>

	* poe-18.el: Require 'poe.
	Move provide to the top to avoid circular dependency.
	(eval-when-compile, eval-and-compile): Modified for old compiler.
	(defsubst): Moved from poe.el.
	(make-obsolete): Do nothing.

	* poe.el (read-string): Don't use `eval-and-compile'.

1999-05-14  Shuhei KOBAYASHI  <shuhei@aqua.ocn.ne.jp>

	* poe.el (defmacro-maybe-cond): New macro.
	(defun-maybe, defmacro-maybe, defsubst-maybe, defalias-maybe,
	defvar-maybe, defconst-maybe, defun-maybe-cond): Return NAME.
	(defun-maybe, defmacro-maybe, defsubst-maybe): Put edebug spec.
	(defsubst): Moved to poe-18.el.

1999-05-13  Tanaka Akira      <akr@jaist.ac.jp>

	* pccl-om.el: pccl-om.el does not support Mule 1.*.

1999-05-10  Daiki Ueno        <ueno@ueda.info.waseda.ac.jp>

	* tinycustom.el (define-widget): Accept the optional arguments.

1999-05-08  Tanaka Akira      <akr@jaist.ac.jp>

	* README.en (What's APEL?): Add notice for static.el.

	* README.ja: Ditto.


1999-05-08  MORIOKA Tomohiko  <tomo@m17n.org>

	* APEL: Version 9.18 released.

1999-05-08  MORIOKA Tomohiko  <tomo@m17n.org>

	* mcs-e20.el: Don't require `poem'.

	* mcs-e20.el: Check coding-system `x-ctext' is not defined by
	APEL.

1999-05-08  MORIOKA Tomohiko  <tomo@m17n.org>

	* mcs-e20.el: Fix checking code about coding-system `x-ctext'
	[cf. <tm-ja:4389> by akr]


1999-05-07  MORIOKA Tomohiko  <tomo@m17n.org>

	* APEL: Version 9.17 released.

1999-05-07  MORIOKA Tomohiko  <tomo@m17n.org>

	* mcs-e20.el: Check coding-system `x-ctext' is not defined.

1999-05-07  MORIOKA Tomohiko  <tomo@m17n.org>

	* poe-18.el (eval-when-compile): New macro.

	* poe.el (make-local-hook): Use `defun-maybe' directly.

	* poe.el (add-hook): Use `static-condition-case' instead of
	`condition-case'; use `defun-maybe' instead of `defun'.
	(remove-hook): Likewise.

1999-04-22  MORIOKA Tomohiko  <tomo@m17n.org>

	* poe.el (caar): New function.

1999-04-13  Tanaka Akira      <akr@jaist.ac.jp>

	* mcs-e20.el (x-ctext): Use the definition in Emacs 20.4.

1999-04-11  Tanaka Akira      <akr@jaist.ac.jp>

	* mcs-e20.el (x-ctext): Define coding system `x-ctext' if `ctext'
	is not proper for decoding `iso-2022-jp-2'.

1999-04-09  Tanaka Akira      <akr@jaist.ac.jp>

	* static.el: Add doc-strings.

1999-04-09  Tanaka Akira      <akr@jaist.ac.jp>

	* EMU-ELS (emu-modules): Add `static'.

	* static.el: New file.

	* broken.el: New implementation using `static'.

1999-04-09  MORIOKA Tomohiko  <tomo@m17n.org>

	* EMU-ELS (poem-modules): Add `poem-xfc' if file-coding feature is
	available in a XEmacs-without-MULE.

1999-04-09  Andy Piper        <andy@xemacs.org>

	* poem.el: use poem-xfc when we have XEmacs with file coding.

	* poem-xfc.el: new file for file coding based XEmacs.


1999-04-08  MORIOKA Tomohiko  <tomo@m17n.org>

	* APEL: Version 9.16 released.

1999-04-05  Shuhei KOBAYASHI  <shuhei@aqua.ocn.ne.jp>

	* install.el (install-prefix): Check whether
	`system-configuration-options' is defined or not before using it.

	* poe-18.el (add-hook, remove-hook): Moved to poe.el.
	* poe.el (add-hook, remove-hook): Accept optional `local' arg.
	(add-local-hook, remove-local-hook): Removed.

	* tinycustom.el (defface): Make face if 'faces is provided.

1999-03-27  Shuhei KOBAYASHI  <shuhei@aqua.ocn.ne.jp>

	* pcustom.el: New implementation using broken.el.

1999-03-14  Shuhei KOBAYASHI  <shuhei@aqua.ocn.ne.jp>

	* APEL-MK (compile-apel, what-where-apel): Use `load-file' to
	ensure that EMU_ELS in the current directory is loaded.

1999-03-11  Shuhei KOBAYASHI  <shuhei@aqua.ocn.ne.jp>

	* emu.el (code-convert-string, code-convert-region,
	insert-binary-file-contents): Doc fix.

1999-03-16  Mikio Nakajima  <minakaji@osaka.email.ne.jp>

	* README.en, README.ja: Add description of pcustom and tinycustom.

1999-03-27  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* tinycustom.el: Delete RCS keywords.

1999-03-24  Mikio Nakajima  <minakaji@osaka.email.ne.jp>

	* poe.el (make-local-hook): Move to after defining `add-local-hook'
	and `remove-local-hook'.

1999-03-20  Mikio Nakajima  <minakaji@osaka.email.ne.jp>

	* tinycustom.el (define-widget): New nop macro.
	(defface): Makes face FACE.

1999-03-25  Keiichi Suzuki  <kei-suzu@mail.wbs.ne.jp>

	* poem.el (charset-after): New function.


1999-03-16  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* APEL: Version 9.15 released.

1999-03-16  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* poe.el (defun-maybe-cond): Don't use `unless'.

1999-03-16  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* EMU-ELS (pcustom-modules): New variable.
	(emu-modules): Add `pcustom-modules'.

1999-03-13  Mikio Nakajima    <minakaji@osaka.email.ne.jp>

	* tinycustom.el: New file.
	* pcustom.el: Likewise.


1999-03-15  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* APEL: Version 9.14 released.

1999-03-11  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mcs-e20.el (charsets-mime-charset-alist): Add setting for
	`tis-620'.

	* mcs-20.el (mime-charset-coding-system-alist): Add `tis-620' and
	`windows-874'.

1999-03-08  SL Baur  <steve@xemacs.org>

	* poem-ltn1.el (find-file-noselect-as-raw-text): Quote.
	(find-file-noselect-as-raw-text-CRLF): Ditto.

1999-03-08  SL Baur  <steve@xemacs.org>

	* mcs-xm.el (decode-mime-charset-region-with-iso646-unification):
	Respect passed in boundaries.
	From MORIOKA Tomohiko <tomo@etl.go.jp>

1999-03-08  SL Baur  <steve@xemacs.org>

	* poe.el (poe): Move provide to the top to avoid circular
	dependency.

	* poe-xemacs.el: Explicitly require poe when bytecompiling.
	* poem-xm.el: Ditto.
	* poem-ltn1.el:Ditto.


1999-02-27  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* APEL: Version 9.13 released.

1999-02-27  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* Makefile (package): New target.
	(install-package): Depend on `package'.

	* APEL-MK (install-update-package-files): New function.
	(config-apel-package): Load "EMU-ELS".
	(compile-apel-package): New function.
	(install-apel-package): Don't compile modules; use function
	`install-update-package-files'.

1999-02-26  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* APEL-MK (install-just-print-p): Modify for special option of GNU
	make.

1999-02-26  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* APEL-MK (install-just-print-p): New function.
	(install-apel): Use `install-just-print-p'.
	(install-apel-package): Likewise.

1999-02-25  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* Makefile (install): Add voodoo comment `# $(MAKE)'.
	(install-package): Likewise.

	* APEL-MK (install-apel): Run installer with `just-print' mode if
	environment variable "MAKEFLAGS" matches "^[^ =]*n" option.
	(install-apel-package): Likewise.

1999-02-21  Mikio Nakajima  <minakaji@osaka.email.ne.jp>

	* install.el (install-file): New optional argument JUST-PRINT.
	(install-files): Likewise.
	(install-elisp-module): Likewise.
	(install-elisp-modules): Likewise.

1999-02-18  Keiichi Suzuki  <kei-suzu@mail.wbs.ne.jp>

	* mcs-e20.el (coding-system-get): New function.
	(mime-charset-list): Fix for Emacs 20.2.

1999-02-14  Katsumi Yamaoka   <yamaoka@jpl.org>

	* mcs-om.el (default-mime-charset-for-write): Delete the remaining
	arguments for `defcustom'.

1999-02-13  Tanaka Akira  <akr@jaist.ac.jp>

	* mcs-e20.el (charsets-mime-charset-alist): Don't set up
	`iso-2022-int-1' in default.

1999-02-11  Tanaka Akira  <akr@jaist.ac.jp>

	* README.en, README.ja, pccl.el: pccl does not support Mule 1.x.

	* pccl-20.el: Update broken facility message with Emacs version
	it fixes.

1999-02-07  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* install.el (install-prefix): Modify for Meadow.

1999-01-26  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mcs-20.el (mime-charset-to-coding-system-default-method): New
	user option.
	(mime-charset-to-coding-system): Call
	`mime-charset-to-coding-system-default-method' if suitable
	coding-system is not found.

1999-01-21  Keiichi Suzuki  <kei-suzu@mail.wbs.ne.jp>

	* mcs-xm.el (encode-mime-charset-region): Add new optional
	argument `lbt'.
	(encode-mime-charset-string): Ditto.

	* mcs-nemacs.el (lbt-to-string): New inline function.
	(encode-mime-charset-region): Add new optional argument `lbt'.
	(encode-mime-charset-string): Ditto.

	* mcs-ltn1.el (lbt-to-string): New inline function.
	(encode-mime-charset-region): Add new optional argument `lbt'.
	(encode-mime-charset-string): Ditto.
	(decode-mime-charset-region): Use `lbt-to-string'.

	* mcs-e20.el (encode-mime-charset-region): Add new optional
	argument `lbt'.
	(encode-mime-charset-string): Ditto.

	* mcs-om.el (lbt-to-string): New inline function.
	(encode-mime-charset-region): Add new optional argument `lbt'.
	(encode-mime-charset-string): Ditto.
	(decode-mime-charset-region): Use `lbt-to-string'.
	(decode-mime-charset-string): Ditto.

1998-12-24  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mcs-om.el (default-mime-charset-for-write): New variable.
	(detect-mime-charset-region): Return
	`default-mime-charset-for-write' if suitable mime-charset is not
	found.

	* mcs-20.el (detect-mime-charset-region): Don't call
	`default-mime-charset-detect-method-for-write' if suitable
	mime-charset is found.

	* mcharset.el (charsets-to-mime-charset): Return nil if suitable
	mime-charset is not found; abolish optional argument `default'.

1998-12-23  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mcs-xm.el (charsets-mime-charset-alist): Don't set up
	`iso-2022-int-1' in default.

	* mcs-20.el (default-mime-charset-for-write): New user option.
	(default-mime-charset-detect-method-for-write): New user option.
	(detect-mime-charset-region): Refer
	`default-mime-charset-detect-method-for-write' or
	`default-mime-charset-for-write' if suitable mime-charset is not
	found.

	* mcharset.el (charsets-to-mime-charset): Add new optional
	argument `default'.

1999-02-26  Katsumi Yamaoka   <yamaoka@jpl.org>

	* poem-nemacs.el (find-file-noselect-as-coding-system): Bind
	`default-kanji-fileio-code' to specified coding system instead of
	the use of `kanji-fileio-code'; bind `kanji-fileio-code' to nil.
	(find-file-noselect-as-raw-text): Revert buffer if the file is
	newer than the buffer.
	(as-binary-input-file): Bind `default-kanji-flag' to nil.

	* poem-20.el (find-file-noselect-as-binary): Bug fix - use
	`coding-system-for-read' instead of `coding-system-for-write'.

1999-02-25  Katsumi Yamaoka   <yamaoka@jpl.org>

	* poem-om.el (find-file-noselect-as-raw-text-CRLF): New function.
	It is an alias for `find-file-noselect-as-raw-text'.
	(insert-file-contents-as-raw-text-CRLF): New function.
	It is an alias for `insert-file-contents-as-raw-text'.

	* poem-nemacs.el (find-file-noselect-as-raw-text-CRLF): New
	function. It is an alias for `find-file-noselect-as-raw-text'.
	(find-file-noselect-as-raw-text): Convert line-break code from
	CRLF to LF.
	(insert-file-contents-as-raw-text-CRLF): New function. It is an
	alias for `insert-file-contents-as-raw-text'.
	(insert-file-contents-as-raw-text): Convert line-break code from
	CRLF to LF.
	(find-file-noselect-as-binary): Don't specify the optional third
	argument `rawfile' for `find-file-noselect'.

	* poem-ltn1.el (find-file-noselect-as-raw-text-CRLF): New function.
	It is an alias for `find-file-noselect'.
	(insert-file-contents-as-raw-text-CRLF): New function. It is an
	alias for `insert-file-contents'.

	* poem-20.el, poem-e20_2.el (find-file-noselect-as-raw-text-CRLF):
	New function.
	(insert-file-contents-as-raw-text-CRLF): New function.

1999-02-25  Katsumi Yamaoka   <yamaoka@jpl.org>

	* poem-20.el, poem-e20_2.el, poem-om.el
	(find-file-noselect-as-raw-text): Undo the last change.
	(insert-file-contents-as-raw-text): Likewise.

1999-02-25  Katsumi Yamaoka   <yamaoka@jpl.org>

	* poem-20.el, poem-e20_2.el, poem-om.el
	(find-file-noselect-as-raw-text): Use `raw-text-dos' instead of
	`raw-text'.
	(insert-file-contents-as-raw-text): Likewise.

1999-02-14  Katsumi Yamaoka   <yamaoka@jpl.org>

	* mcs-om.el (TopLevel): Don't refer to
	`running-emacs-19_29-or-later', use `emacs-major-version' and
	`emacs-minor-version' instead.

1999-02-14  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* poe.el (file-name-sans-extension): New function <copied from
	Emacs 20.3.5> <cf. [tm-ja:4135]>.

1999-02-04  Katsumi Yamaoka   <yamaoka@jpl.org>

	* poem-20.el, poem-ltn1.el, poem-nemacs.el, poem-om.el
	(save-buffer-as-binary): New function.
	(save-buffer-as-raw-text-CRLF): New function.
	(save-buffer-as-coding-system): New function.

	* poem-om.el (poem-ccl-decode-raw-text): Rewrite again for plural
	`CR's.

1999-02-04  Katsumi Yamaoka   <yamaoka@jpl.org>

	* poem-om.el (poem-ccl-decode-raw-text): Rewrite for fixing a bug
	that the last datum will be missed if the input data is not ended
	with `CRLF'.
	(poem-ccl-encode-raw-text-CRLF): Use `read-if'.

1998-12-24  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* install.el (install-detect-elisp-directory): Avoid problem if
	prefix of an emacs has its version.


1998-12-22  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* APEL: Version 9.12 was released.

1998-12-20  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mcs-om.el: Avoid error when cyrillic.el is not found.

1998-12-19  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* poem-xm.el: Define coding-system `gb2312-dos', `gb2312-mac' and
	`gb2312-unix' if it is not found.

1998-12-18  Katsumi Yamaoka   <yamaoka@jpl.org>

	* poem-om.el (poem-ccl-decode-raw-text): Renamed from
	`ccl-decode-raw-text'.
	(poem-ccl-encode-raw-text): Renamed from `ccl-encode-raw-text'.
	(poem-ccl-encode-raw-text-CRLF): Renamed from
	`ccl-encode-raw-text-CRLF`.

1998-12-17  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* poem-om.el (poem-decode-raw-text): New function for MULE 1.
	(poem-encode-raw-text-CRLF): Likewise.
	(raw-text): New coding-system for MULE 1.
	(raw-text-dos): Likewise.
	(insert-file-contents-as-raw-text): Share implementation.
	(write-region-as-raw-text-CRLF): Likewise.
	(find-file-noselect-as-raw-text): Likewise.

1998-12-17  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* poem-om.el: Share definition of coding-system `binary'.
	(write-region-as-binary): Share implementation.
	(find-file-noselect-as-binary): Likewise.

1998-12-16  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* poem-om.el (insert-file-contents-as-binary): Share
	implementation.

1998-12-16  Katsumi Yamaoka   <yamaoka@jpl.org>

	* poem-om.el (find-file-noselect-as-raw-text): Use
	`find-file-noselect-as-coding-system' under Mule 2.*.
	(find-file-noselect-as-binary): Likewise.
	(insert-file-contents-as-raw-text): Use
	`insert-file-contents-as-coding-system' under Mule 2.*.
	(insert-file-contents-as-binary): Likewise.
	(write-region-as-raw-text-CRLF): Use
	`write-region-as-coding-system' under Mule 2.*.
	(write-region-as-binary): Likewise.
	(truncate-string): Use `defun-maybe'.
	(toplevel): Don't refer to `running-emacs-19_29-or-later', use
	`emacs-major-version' and `emacs-minor-version' instead.

1998-12-16  Katsumi Yamaoka   <yamaoka@jpl.org>

	* pccl-om.el (toplevel): Don't require `poem'.
	Use `code-convert-string' instead of `encode-coding-string' or
	`decode-coding-string'.

	* poem-om.el (binary): EMACS 20 emulating coding-system for Mule
	2.3 based on Emacs 19.[28-34].
	(raw-text): EMACS 20 emulating coding-system based on native CCL
	for Mule 2.3 based on Emacs 19.[28-34].
	(raw-text-dos): Likewise.
	(find-file-noselect-as-binary): Separate for some Mules.

1998-12-15  Tanaka Akira  <akr@jaist.ac.jp>

	* pccl-20.el: Do not require 'poem.

1998-12-14  Katsumi Yamaoka   <yamaoka@jpl.org>

	* poem-20.el, poem-e20_2.el, poem-ltn1.el, poem-nemacs.el, poem-om.el
	(find-file-noselect-as-coding-system): Be CODING-SYSTEM the 1st arg.
	(insert-file-contents-as-coding-system): Likewise.
	* poem-20.el, poem-ltn1.el, poem-nemacs.el, poem-om.el
	(write-region-as-coding-system): Likewise.

1998-12-14  Katsumi Yamaoka   <yamaoka@jpl.org>

	* poem-20.el, poem-e20_2.el, poem-ltn1.el, poem-nemacs.el, poem-om.el
	(find-file-noselect-as-coding-system): Renamed from
	`find-file-noselect-as-specified-coding-system'.

	* poem-e20_2.el (insert-file-contents-as-coding-system): Renamed
	from `insert-file-contents-as-specified-coding-system'.

	* poem-20.el, poem-ltn1.el, poem-nemacs.el, poem-om.el
	(write-region-as-coding-system): Renamed from
	`write-region-as-specified-coding-system'.
	(insert-file-contents-as-coding-system): Renamed from
	`insert-file-contents-as-specified-coding-system'.

1998-12-09  Katsumi Yamaoka   <yamaoka@jpl.org>

	* poem-20.el, poem-e20_2.el, poem-ltn1.el, poem-nemacs.el, poem-om.el
	(find-file-noselect-as-binary): New function.
	(find-file-noselect-as-raw-text): New function.
	(find-file-noselect-as-specified-coding-system): New function.

	* poem-nemacs.el (insert-file-contents-as-binary): Call
	`insert-file-contents' with only two args - FILENAME and VISIT.
	(insert-file-contents-as-raw-text): Likewise.
	(insert-file-contents-as-specified-coding-system): Likewise.

1998-12-09  Yuuichi Teranishi <teranisi@gohome.org>

	* poe-18.el (make-directory-internal): Rewrite.

1998-12-08  Katsumi Yamaoka   <yamaoka@jpl.org>

	* poem-20.el (write-region-as-binary): Bind
	`jam-zcat-filename-list' with nil.
	* poem-xm.el (insert-file-contents-as-binary): Likewise.

	* poem.el: Require `tcp' if the function `open-network-stream'
	does not exist.

1998-12-04  Katsumi Yamaoka   <yamaoka@jpl.org>

	* poem-20.el, poem-ltn1.el, poem-nemacs.el, poem-om.el
	(open-network-stream-as-binary): New function.

	* poem-e20_2.el (insert-file-contents-as-specified-coding-system):
	New function.

	* poem-20.el, poem-ltn1.el, poem-nemacs.el, poem-om.el
	(write-region-as-specified-coding-system): New function.
	(insert-file-contents-as-specified-coding-system): New function.

1998-12-01  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* poem-xm.el: If coding-system `iso-2022-jp-dos' unifies JIS X
	0201-Latin to ASCII and JIS X 0208-1978 to JIS X 0208-1983 by
	code-point, copy coding-system `iso-2022-7bit-dos' to
	`iso-2022-jp-dos' to avoid this problem.

1998-11-17  Kazuhiro Ohta  <ohta@ele.cst.nihon-u.ac.jp>

	* README.en, README.ja (add-latest-path): Fix typo.


1998-11-14  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* APEL: Version 9.11 was released.

	* poem-ltn1.el (char-charset): Fix typo.

1998-11-13  Tanaka Akira  <akr@jaist.ac.jp>

	* broken.el: require 'poe.

1998-11-13  Tanaka Akira  <akr@jaist.ac.jp>

	* pccl.el: Enclose mule depended process by `unless-broken'.

1998-11-13  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* poe.el (defun-maybe-cond): fixed problem in Emacs 18.

	* poe.el (defsubst): Moved from poe-18.el.

	* poe-18.el: Move macro `defsubst' to poe.el.


1998-11-13  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* APEL: Version 9.10 was released.

1998-11-13  Tanaka Akira  <akr@jaist.ac.jp>

	* pccl.el (define-ccl-program): Adviced.

1998-11-12  Tanaka Akira  <akr@jaist.ac.jp>

	* pccl-om.el (ccl-cascading-read): New facility.

1998-11-10  Tanaka Akira  <akr@jaist.ac.jp>

	* EMU-ELS (emu-modules): Always install 'pccl.

	* broken.el: Use 19.28 style quasi-quote.

	* pccl.el: - require 'broken.
	- Does not require 'pccl-20 for XEmacs 20.
	(ccl-usable): New facility.

1998-11-10  Tanaka Akira  <akr@jaist.ac.jp>

	* README.en, README.ja, pccl-20.el: Note that pccl-20 is not
	for XEmacs 20.

1998-11-08  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* poe-18.el (eval-and-compile): Moved from poe.el.

	* poe.el: Move `eval-and-compile' to poe-18.el.

	* poe-xemacs.el (overlayp): New alias.
	(delete-overlay): New alias.


1998-11-07  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* APEL: Version 9.9 was released.

1998-11-06  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* poe.el (combine-after-change-calls): fixed.

1998-10-31  Mikio Nakajima    <minakaji@osaka.email.ne.jp>

	* poe.el (combine-after-change-calls): New macro.

1998-10-28  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* poe.el (defun-maybe-cond): New macro.
	(next-command-event): Use `defun-maybe-cond'.
	(cancel-undo-boundary): Use `defun-maybe-cond'.

1998-10-28  Katsumi Yamaoka   <yamaoka@jpl.org>

	* poem-om.el (char-after): Redefine to change `POS' to optional
	argument.


1998-10-27  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* APEL: Version 9.8 was released.

	* README.ja, README.en (CVS): New section.

1998-10-27  Mikio Nakajima    <minakaji@osaka.email.ne.jp>

	* poem-om.el (char-before): Redefine to change `POS' to optional
	argument.

1998-10-27  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* poe.el (subr-fboundp): New function.
	(next-command-event): New function.
	(character-to-event): New function.

1998-10-25  Mikio Nakajima    <minakaji@osaka.email.ne.jp>

	* poe.el (event-to-character): New function.

1998-10-27  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* poe.el (cancel-undo-boundary): Switch definition by existence of
	variable `buffer-undo-list'.

	* poe-18.el: Move function `cancel-undo-boundary' to poe.el.

1998-10-25  Mikio Nakajima    <minakaji@osaka.email.ne.jp>

	* poe.el (cancel-undo-boundary): New function.

1998-10-27  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* poe-18.el (cancel-undo-boundary): New function (moved from
	poem.el).

	* poem.el: Move function `cancel-undo-boundary' to poe-18.el.


1998-10-26  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* APEL: Version 9.7 was released.

1998-10-26  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* poem.el (cancel-undo-boundary): New function.

1998-10-26  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* poe-xemacs.el (set-cursor-color): Add interactive spec; add
	DOC-string.

1998-10-25  Mikio Nakajima    <minakaji@osaka.email.ne.jp>

	* poe-xemacs.el (set-cursor-color): New function.

1998-10-26  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* README.ja: Sync up with latest README.en.

1998-10-26  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* poe.el (remove-local-hook): Use `defmacro-maybe'.

1998-10-26  Mikio Nakajima    <minakaji@osaka.email.ne.jp>

	* poe.el (add-local-hook): fixed.
	(remove-local-hook): fixed.


1998-10-26  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* APEL: Version 9.6 was released.

1998-10-25  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* poe.el (rassoc): New function.

1998-10-25  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* poe-xemacs.el (eval-after-load): New function.

	* poem-e20_3.el (characterp): New alias.

	* poem.el (characterp): New alias.
	(char-octet): New function.

1998-10-25  Mikio Nakajima    <minakaji@osaka.email.ne.jp>

	* poe.el (make-local-hook): New macro.
	(add-local-hook): New macro.
	(remove-local-hook): New macro.

1998-10-25  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* poem.el, poem-20.el, poem-e20_3.el, poem-e20.el, poem-xm.el: Add
	setting of byte-compile-dynamic.

	* poem-xm.el (string-to-int-list): Use `defun-maybe'.

	* poem.el (string-as-unibyte): Use `defsubst-maybe' instead of
	`defmacro-maybe'.
	(string-as-multibyte): Likewise.
	(char-int): Use `defalias-maybe'.
	(int-char): Likewise.
	(char-or-char-int-p): Likewise.

1998-10-25  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* poe.el, poe-xemacs.el: Add setting of byte-compile-dynamic.

1998-10-25  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* poe-18.el (data-directory): Use `defvar-maybe'.
	(buffer-undo-list): Likewise.

	* poe-xemacs.el (face-list): Use `defalias-maybe'.
	(line-beginning-position): Likewise.
	(line-end-position): Likewise.

	* poe.el (defalias-maybe): New macro.

	* poe-xemacs.el (dired-other-frame): Use `defun-maybe'.

1998-10-24  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* poe.el (defvar-maybe): New macro.
	(temporary-file-directory): New variable.


1998-10-23  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* APEL: Version 9.5 was released.

1998-10-22  Yoshiki Hayashi   <g740685@komaba.ecc.u-tokyo.ac.jp>

	* README.ja: New file.

1998-10-20  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* alist.el: Add autoload cookies.

1998-10-20  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* poe.el, EMU-ELS, README.en: Move `find-face' from poe-19.el to
	poe.el; abolish poe-19.el.

1998-10-20  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* invisible.el, inv-18.el, inv-19.el, inv-xemacs.el, poe-18.el,
	poe-19.el, poe-xemacs.el, emu.el, EMU-ELS, README.en: Separate
	invisible features from poe to invisible.

1998-10-20  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* poe.el (eval-and-compile): New macro.
	Enclose redefinition of `read-string' by `eval-and-compile'.

1998-10-20  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* poe.el (string): New function.

1998-10-19  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* emu.el (char-list-to-string): New function.

	* poe-xemacs.el, poe-19.el: Abolish macro `char-list-to-string'.

	* poe-18.el: Abolish function `char-list-to-string'.

1998-10-18  Tanaka Akira  <akr@jaist.ac.jp>

	* broken.el (check-broken-facility): Also use compile time
	description.


1998-10-18  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* APEL: Version 9.4 was released.

1998-10-17  Tanaka Akira  <akr@jaist.ac.jp>

	* broken.el (check-broken-facility): New macro.

1998-10-16  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* poe.el (define-obsolete-function-alias): New function.


1998-10-12  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* APEL: Version 9.3 was released.

1998-10-12  Katsumi Yamaoka   <yamaoka@jpl.org>

	* README.en: Add explanations about
	`LISPDIR', `VERSION_SPECIFIC_LISPDIR' and `what-where'.

	* Makefile (what-where): New target.
	(install): Add new arg `VERSION_SPECIFIC_LISPDIR'.

	* APEL-MK (what-where-apel): New function.
 	(config-apel): Refer to `VERSION_SPECIFIC_LISPDIR'.

	* APEL-CFG (VERSION_SPECIFIC_LISPDIR): New variable.

1998-10-12  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* README.en (load-path): Modify for Emacs 20.3.

1998-10-11  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* APEL-CFG (EMU_PREFIX): Use "emu" for Emacs 20.3 or later.

	* EMU-ELS: Don't install pccl in anything older than XEmacs 21
	with MULE.


1998-10-10  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* APEL: Version 9.2 was released.

	* poem-xm.el (insert-file-contents-as-binary): New function.

	* poem-20.el (write-region-as-binary): bind
	`jka-compr-compression-info-list' with nil.
	(insert-file-contents-as-binary): Change to alias of
	`insert-file-contents-literally' for Emacs 20.


1998-10-07  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* APEL: Version 9.1 was released.

1998-10-06  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mcs-e20.el, mcs-xm.el (coding-system-to-mime-charset): New
	function.
	(mime-charset-list): New implementation.

	* Move `mime-charset-list' from mcs-20.el to mcs-e20.el and
	mcs-xm.el.

1998-10-01  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mcs-e20.el (charsets-mime-charset-alist): Use `gb2312' and
	`big5' instead of `cn-gb-2312' and `cn-big5'.

	* mcs-xm.el (charsets-mime-charset-alist): Use `gb2312' and `big5'
	instead of `cn-gb-2312' and `cn-big5'.

	* mcs-20.el (mime-charset-coding-system-alist): Add `cn-gb' to
	default value.


1998-09-22  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* APEL: Version 9.0 was released.

	* Delete EMU-CFG and EMU-MK because they have not been used.

1998-09-22  Tanaka Akira      <akr@jaist.ac.jp>

	* README.en (What's APEL?): Add notice for broken.el.

1998-09-22  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* README.en (What's APEL?): Modify for latest structure.

1998-09-20  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mcs-xm.el (charsets-mime-charset-alist): Comment out invalid
	definition for iso-2022-int-1.

1998-09-19  Tanaka Akira      <akr@jaist.ac.jp>

	* broken.el: New file.

	* pccl.el (apel-broken-facility): Abolished
	(apel-broken-p): Abolished

	* EMU-ELS (emu-modules): Add 'broken.

	* Makefile (elc): Do not remove emu*.elc.

	* pccl-20.el: require 'broken.
	(ccl-use-symbol-as-program): Abolished.
	(ccl-accept-symbol-as-program): New facility.
	(make-ccl-coding-system): Use `when-broken' to define.
	(ccl-encoder-eof-block-is-broken): Abolished.
	(ccl-decoder-eof-block-is-broken): Abolished.
	(ccl-eof-block-is-broken): Abolished
	(ccl-execute-eof-block-on-encoding-null): New facility.
	(ccl-execute-eof-block-on-encoding-some): Ditto.
	(ccl-execute-eof-block-on-decoding-null): Ditto.
	(ccl-execute-eof-block-on-decoding-some): Ditto.
	(ccl-execute-eof-block-on-encoding): Ditto.
	(ccl-execute-eof-block-on-decoding): Ditto.
	(ccl-execute-eof-block): Ditto.

	* pccl-om.el: require 'broken.
	(ccl-use-symbol-as-program): Abolished.
	(ccl-accept-symbol-as-program): New facility.
	(ccl-encoder-eof-block-is-broken): Abolished.
	(ccl-decoder-eof-block-is-broken): Abolished.
	(ccl-eof-block-is-broken): Abolished
	(ccl-execute-eof-block-on-encoding-null): New facility.
	(ccl-execute-eof-block-on-encoding-some): Ditto.
	(ccl-execute-eof-block-on-decoding-null): Ditto.
	(ccl-execute-eof-block-on-decoding-some): Ditto.
	(ccl-execute-eof-block-on-encoding): Ditto.
	(ccl-execute-eof-block-on-decoding): Ditto.
	(ccl-execute-eof-block): Ditto.
	(ccl-execute-on-string-ignore-contin): New facility.

1998-09-18  Tanaka Akira      <akr@jaist.ac.jp>

	* pccl.el (apel-broken-facility): New function.
	(apel-broken-p): New function.

1998-09-18  Tanaka Akira      <akr@jaist.ac.jp>

	* pccl.el: Fix author.

1998-09-17  Katsumi Yamaoka   <yamaoka@jpl.org>

	* pccl-om.el (make-ccl-coding-system): Enclose with
	`eval-and-compile'.

1998-09-17  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* poe.el (unless): New macro.

	* emu.el: Define tl:overlay obsolete aliases for all emacsen.

	* poem-nemacs.el (decode-coding-string): Regard integer as
	coding-system.
	(encode-coding-string): Likewise.
	(decode-coding-region): Likewise.
	(encode-coding-region): Likewise.

	* poe-18.el (set-text-properties): New function.

	* install.el (install-detect-elisp-directory): Fix problem on
	Nemacs.

1998-09-17  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* poem-ltn1.el (set-buffer-multibyte): Use `defun-maybe' instead
	of `defmacro-maybe'.

	* poem-e20_2.el (set-buffer-multibyte): Use `defun-maybe' instead
	of `defsubst-maybe'.

1998-09-17  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* EMU-ELS: New implementation.

1998-09-17  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* emu.el, emu-mule.el, EMU-ELS: Move code about CCL from
	emu-mule.el to pccl-om.el.

	* pccl.el: New file.

	* pccl.el: - Rename emu-e20.el to pccl-20.el.
	- Move definition of emu-x20.el to pccl-20.el.
	- Move code about CCL from emu-mule.el to pccl-om.el.

	* pccl-om.el: New file (move code about CCL from emu-mule.el).

	* pccl-20.el: New file (renamed from emu-e20.el; move definition
	of emu-x20.el to pccl-20.el; abolish emu-x20.el).

1998-09-17  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* emu.el, emu-x20.el, emu-e20.el: Move function `char-category'
	from emu-e20.el and emu-x20.el to emu.el.

1998-09-17  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* emu.el, emu-nemacs.el, emu-latin1.el, EMU-ELS: Move definitions
	of emu-nemacs.el and emu-latin1.el to emu.el; abolish
	emu-nemacs.el and emu-latin1.el.

1998-09-17  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* emu.el: Modify conditions to load sub-modules.

	* emu.el, emu-e20.el: Move alias
	`insert-binary-file-contents-literally' from emu-e20.el to emu.el.

1998-09-17  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* poem.el, emu.el: Move `string-as-unibyte',
	`string-as-multibyte', `char-int', `int-char' and
	`char-or-char-int-p' from emu.el to poem.el.

1998-09-17  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mcharset.el, emu.el: Move function `charsets-to-mime-charset'
	from emu.el to mcharset.el.

1998-09-17  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* emu.el, emu-x20.el, emu-nemacs.el, emu-mule.el, emu-latin1.el,
	emu-e20.el:
	  - Move `insert-binary-file-contents' from emu-e20.el,
	    emu-latin1.el, emu-mule.el, emu-nemacs.el and emu-x20.el to
	    emu.el.
	  - Move `insert-binary-file-contents-literally' from
	    emu-latin1.el, emu-mule.el, emu-nemacs.el and emu-x20.el to
	    emu.el.

1998-09-17  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* poe-18.el (make-obsolete): New function.

1998-09-17  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* emu.el, EMU-ELS: Split code about MIME charset from emu to
	mcharset.

	* mcharset.el: New file.

	* mcs-xm.el: New file (split code about MIME charset from
	emu-x20.el).

	* emu-x20.el: Split code about MIME charset to mcs-xm.el.

	* mcs-om.el: New file (split code about MIME charset from
	emu-mule.el).

	* emu-mule.el: Split code about MIME charset to mcs-om.el.

	* mcs-nemacs.el: New file (split code about MIME charset from
	emu-nemacs.el).

	* emu-nemacs.el: Split code about MIME charset to mcs-nemacs.el.

	* mcs-ltn1.el: New file (split code about MIME charset from
	emu-latin1.el).

	* emu-latin1.el: Split code about MIME charset to mcs-latin1.el.

	* mcs-e20.el: New file (split code about MIME charset from
	emu-e20.el).

	* emu-e20.el: Split code about MIME charset to mcs-e20.el.

	* mcs-20.el: New file (renamed from emu-20.el).

1998-09-17  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* emu.el, emu-20.el: Move constant `*noconv*' from emu-20.el to
	emu.el.

1998-09-17  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* emu.el, EMU-ELS: Split core part about MULE from emu to poem.

	* poem.el: New file.

	* poem-e20_3.el: New file (renamed from emu-e20_3.el).

	* poem-e20_2.el: New file (renamed from poem-e20_2.el).

	* poem-xm.el: New file (split core part of MULE from emu-x20.el).

	* emu-x20.el: Split core part of MULE to poem-xm.el.

	* poem-om.el: New file (split core part of MULE from emu-mule.el).

	* emu-mule.el: Split core part of MULE to poem-om.el.

	* poem-ltn1.el: New file (split core part of MULE from
	emu-latin1.el).

	* emu-latin1.el: Split core part of MULE to poem-ltn1.el.

	* poem-e20.el: New file (split core part of MULE from emu-e20.el).

	* emu-e20.el: Split core part of MULE to poem-e20.el.

	* poem-20.el: New file (split core part of MULE from emu-20.el).

	* emu-20.el: Split core part of MULE to poem-20.el.

	* poem-nemacs.el: New file (split core part of MULE from
	emu-nemacs.el).

	* emu-nemacs.el: Split core part of MULE to poem-nemacs.el; move
	overlay emulation code of Nemacs to poe-18.el.

	* poe-18.el: Move overlay emulation code of Nemacs from
	emu-nemacs.el.

1998-09-17  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* poe.el, emu.el: Move function `point-at-bol' and `point-at-eol'
	from emu.el to poe.el.

1998-09-17  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* emu.el (point-at-bol): New function.
	(point-at-eol): Use `line-end-position'.

1998-09-17  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* poe.el (line-beginning-position): New function.
	(line-end-position): New function.

	* poe-xemacs.el (line-beginning-position): New alias.
	(line-end-position): New alias.

1998-09-17  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* poe.el, emu.el: Move function `functionp' from emu.el to poe.el.

1998-09-17  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* poe.el, emu.el: Move Emacs 19.30 emulating definitions, Emacs
	19.31 emulating definitions and Emacs 20.1 emulating definitions
	from emu.el to poe.el.

1998-09-17  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* poe.el, emu.el: Move constant `emacs-minor-version', Emacs 19
	emulating definitions and Emacs 19.29 emulating definitions from
	emu.el to poe.el.

1998-09-17  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* poe.el: New file (split core part from emu.el).

	* poe-xemacs.el: New file (renamed from emu-xemacs.el).

	* poe-19.el: New file (renamed from emu-e19.el).

	* poe-18.el: New file (renamed from emu-18.el).

	* emu.el, emu-nemacs.el, emu-mule.el, emu-e20.el, EMU-ELS: modify
	for new structure.

1998-09-17  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* emu-x20.el (make-ccl-coding-system): New function.

1998-09-17  Katsumi Yamaoka   <yamaoka@jpl.org>

	* emu-mule.el: Require `cyrillic' (suggested by MORIOKA-san).

	* emu-mule.el (decode-mime-charset-region): Cope with non existent
	coding systems if the third arg `lbt' has specified.
	(decode-mime-charset-string): Likewise.


1998-09-14  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* APEL: Version 8.18 was released.

	* Makefile (install-package): Don't depend on target `elc'.

	* APEL-MK (install-apel-package): Compile emu-modules and
	apel-modules.

1998-09-13  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* Makefile: Abolish target `package'.
	(install-package): Use `elc' instead of `package'.

	* APEL-MK: Abolish function `compile-apel-package'.
	(install-apel-package): Update auto-autoloads.el and
	custom-load.el at target directory.

1998-09-13  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* README.en (run in expanded place): fixed.
	(install as a XEmacs package): New description.

	* Makefile (XEMACS): New variable.
	(PACKAGEDIR): New variable.
	(package): New target.
	(install-package): New target.

	* APEL-MK (config-apel-package): New function.
	(compile-apel-package): New function.
	(install-apel-package): New function.

	* APEL-CFG (PACKAGEDIR): New variable.

1998-09-07  Tanaka Akira  <akr@jaist.ac.jp>

        * Makefile (elc): Ignore errors when removing emu*.elc.

1998-09-01  Tanaka Akira <akr@jaist.ac.jp>

	* emu-mule.el (ccl-execute-on-string): Fix arguments
	order `status' and `string'.


1998-08-31  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* APEL: Version 8.17 was released.

	* emu.el (with-temp-file): Must use old forms.

1998-08-31  Katsumi Yamoaka   <yamaoka@jpl.org>

	* emu.el (with-temp-file): New macro (Emacs 20/XEmacs 20
	emulating macro).

1998-08-29  Tanaka Akira  <akr@jaist.ac.jp>

        * emu-e20.el: require 'ccl only for byte-compile time.

1998-08-29  Tanaka Akira  <akr@jaist.ac.jp>

        * Makefile (elc): Remove emu*.elc to use newest emu by
        intall.el.

1998-08-29  Shuhei KOBAYASHI  <shuhei-k@jaist.ac.jp>

	* emu-e20.el (ccl-execute-on-string): Too few args.
	(test-ccl-eof-block-cs): Revert existence checking.

	* emu-e20_2.el (insert-file-contents-as-binary): Return value.
	(insert-file-contents-as-raw-text): Ditto.

	* emu-mule.el (insert-file-contents-as-raw-text): Return value.
	(encode-coding-string): Check `coding-system' is non-nil.
	(decode-coding-string): Ditto.
	(insert-file-contents-as-binary): Use `as-binary-input-file'.
	(insert-binary-file-contents-literally): Ditto.
	(write-region-as-binary): Use `as-binary-output-file'.
	(write-region-as-raw-text-CRLF): Definition for Emacs 19.28.
	(write-region-as-mime-charset): Ditto.
	(mime-charset-to-coding-system): New implementation.

	(ccl-use-symbol-as-program): New constant.
	(ccl-encoder-eof-block-is-broken): New constant.
	(ccl-decoder-eof-block-is-broken): New constant.
	(ccl-eof-block-is-broken): New constant.
	(make-ccl-coding-system): New function.
	(ccl-execute): Emacs 20.3 emulating function.
	(ccl-execute-on-string): Emacs 20.3 emulating function.

	* emu-nemacs.el (write-region-as-binary): Use
	`as-binary-output-file'
	(write-region-as-raw-text-CRLF): Ditto.
	(insert-file-contents-as-binary): Use `as-binary-input-file'.
	(insert-binary-file-contents-literally): Ditto.
	(insert-file-contents-as-raw-text): Ditto.

	* emu.el (last): Emacs 20 emulation function.
	(butlast), (nbutlast): CL emulation functions.

1998-08-27  Tanaka Akira  <akr@jaist.ac.jp>

        * emu-e20.el (ccl-use-symbol-as-program): Reduce
	`eval-and-compile' and `eval-when-compile' nesting.
	(test-ccl-eof-block-cs): Remove existence checking.

1998-08-27  Tanaka Akira  <akr@jaist.ac.jp>

        * emu-e20.el (ccl-use-symbol-as-program): Use
	`ccl-vector-program-execute-on-string' if it is defined.

1998-08-27  Tanaka Akira  <akr@jaist.ac.jp>

        * emu-e20.el (ccl-use-symbol-as-program): Use
	`ccl-execute-on-string' instead of `make-coding-system' for
	avoiding the error "Coding system already exists".

1998-08-27  Tanaka Akira  <akr@jaist.ac.jp>

        * emu-e20.el (test-ccl-eof-block-cs): Check if it is already
	defined.

1998-08-27  Tanaka Akira  <akr@jaist.ac.jp>

	* emu-e20.el (ccl-use-symbol-as-program): New constant.
	(make-ccl-coding-system): New function.
	(ccl-encoder-eof-block-is-broken): New constant.
	(ccl-decoder-eof-block-is-broken): New constant.
	(ccl-eof-block-is-broken): New constant.
	(ccl-execute): Redefine if `ccl-use-symbol-as-program' is nil.
	(ccl-execute-on-string): Ditto.

1998-08-24  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* emu-20.el (mime-charset-coding-system-alist): Add `unknown' and
	`x-unknown'.

1998-08-12  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* emu-x20.el: Redefine coding-system `ctext' if `ctext-dos' is not
	found.

1998-08-12  Katsumi Yamaoka   <yamaoka@jpl.org>

	* emu-nemacs.el, emu-mule.el (decode-mime-charset-region): Add new
	argument `lbt'.
	(decode-mime-charset-string): Likewise.

	* emu-mule.el (mime-charset-to-coding-system):  Regard `CRLF',
	`LF', `CR' as line break code type.

1998-08-11  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* emu-latin1.el, emu-nemacs.el (write-region-as-raw-text-CRLF):
	Fix regexp to canonicalize line break code.

	* emu-mule.el (write-region-as-raw-text-CRLF): Use
	`write-region-as-binary' to specify `lockname' in MULE 2.3 based
	on 19.34.

1998-08-11  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* emu-x20.el: Redefine coding-system `iso-2022-jp-2' if
	`iso-2022-jp-2-dos' is not found.

1998-08-11  Katsumi Yamaoka   <yamaoka@jpl.org>

	* emu-mule.el (write-region-as-raw-text-CRLF): New function.

	* emu-18.el (generate-new-buffer-name): New function (Emacs 19
	emulating function).

1998-08-10  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* emu-nemacs.el, emu-latin1.el (write-region-as-raw-text-CRLF):
	New function.

	* emu-20.el (write-region-as-raw-text-CRLF): Renamed from
	`write-region-as-CRLF'.

1998-08-10  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* emu-latin1.el, emu-e20.el (decode-mime-charset-region): Add new
	argument `lbt'.
	(decode-mime-charset-string): Likewise.

	* emu-x20.el: Define coding-system `raw-text-unix' and
	`raw-text-mac' if they are not found.
	Redefine coding-system `euc-kr' if `euc-kr-dos' is not found.
	(decode-mime-charset-region-default): Add new argument `lbt'.
	(decode-mime-charset-region-with-iso646-unification): Likewise.
	(decode-mime-charset-region-for-hz): Likewise.
	(decode-mime-charset-region): Likewise.
	(decode-mime-charset-string): Likewise.

	* emu-20.el (mime-charset-to-coding-system): Regard `CRLF', `LF',
	`CR' as line break code type.

1998-08-07  MORIOKA Tomohiko  <morioka@yo.rim.or.jp>

	* emu-x20.el: Define coding-system `raw-text-dos' if it is not
	found.

	* emu-20.el (write-region-as-CRLF): New function.

1998-07-21  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* install.el (install-detect-elisp-directory): Modify for anything
 	older than Emacs 19.28.


1998-06-22  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* APEL: Version 8.16 was released.

	* emu.el, emu-x20.el: Require `emu-20' in emu-x20.el.

1998-06-20  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* emu-x20.el (set-buffer-multibyte): Use `defsubst-maybe' instead
	of `defmacro-maybe'.

1998-06-20  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* emu-20.el, emu-x20.el: Move `insert-file-contents-as-binary' and
	`insert-file-contents-as-raw-text' from emu-x20.el to emu-20.el.

	* emu-e20_2.el, emu-e20.el: Move `insert-file-contents-as-binary'
	and `insert-file-contents-as-raw-text' from emu-e20.el to
	emu-e20_2.el.


1998-06-09  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* APEL: Version 8.15 was released.

	* emu-xemacs.el: Use nil as variable of `condition-case' to avoid
	byte-compiler warning.

1998-06-09  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* emu.el (when): New macro.

1998-06-09  Katsumi Yamaoka   <yamaoka@jpl.org>

	* emu.el (split-string): New function (Emacs 20/XEmacs 20
	emulating function).

	* emu.el (with-temp-buffer): New macro (Emacs 20/XEmacs 20
	emulating macro).

	* emu.el (with-current-buffer): New macro (Emacs 20/XEmacs 20
	emulating macro).

	* emu.el (save-current-buffer): New macro (Emacs 20/XEmacs 20
	emulating macro).

1998-06-08  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mule-caesar.el (mule-caesar-region): Don't compare charset with
 	'us-ascii.

1998-06-08  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* emu-mule.el (split-char): fixed.

1998-06-08  Katsumi Yamaoka   <yamaoka@jpl.org>

	* emu-mule.el (insert-file-contents-as-binary): Use
	file-coding-system-for-read instead of file-coding-system.


1998-06-06  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* APEL: Version 8.14 was released.

1998-06-05  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* emu-mule.el, emu-latin1.el (split-char): New function.

1998-06-05  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* emu-mule.el, emu-nemacs.el (insert-file-contents-as-raw-text):
	New function.

	* emu-latin1.el (insert-file-contents-as-raw-text): New alias.

	* emu-e20.el, emu-x20.el (insert-file-contents-as-raw-text): New
	function.

1998-06-05  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* emu-x20.el: Move `split-char' check and repair code from
	mule-caesar.el.

	* mule-caesar.el: Move `split-char' check and repair code to
	emu-x20.el; require 'emu.

1998-06-05  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* emu-nemacs.el, emu-mule.el (set-buffer-multibyte): New function.

	* emu-latin1.el, emu-x20.el (set-buffer-multibyte): New macro.

	* mule-caesar.el (mule-caesar-region): Use '(cdr (split-char ...))
	instead of `char-to-octet-list'; abolish function
	`char-to-octet-list'.

1998-06-05  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* emu-mule.el (charset-chars): New function.

	* mule-caesar.el (split-char): Redefine if it has bug.
	(char-to-octet-list): Use `split-char'.


1998-06-01  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* APEL: Version 8.13 was released.

	* emu-x20.el (mime-character-unification-limit-size): Change
	default value to 2048.

1998-05-28  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* emu.el (string-as-unibyte): New macro.


1998-05-17  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* APEL: Version 8.12 was released.

1998-05-15  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* emu-x20.el (mime-character-unification-limit-size): New
	variable.
	(decode-mime-charset-region-with-iso646-unification): Don't unify
	if size of region is larger than
	'mime-character-unification-limit-size.

1998-05-15  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* emu-x20.el, emu-nemacs.el, emu-mule.el, emu-latin1.el,
	emu-e20_3.el (looking-at-as-unibyte): New alias.

	* emu-e20_2.el (looking-at-as-unibyte): New function.

1998-05-14  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* emu-x20.el: Delete definition of 'detect-mime-charset-region
	because it is defined in emu-20.el.

	* emu-20.el (write-region-as-binary): fixed.

	* emu-20.el (write-region-as-mime-charset): New function.

	* emu-latin1.el (write-region-as-mime-charset): New alias.

	* emu-nemacs.el, emu-mule.el (write-region-as-mime-charset): New
	function.


1998-05-09  MORIOKA Tomohiko  <morioka@mousai.jaist.ac.jp>

	* APEL: Version 8.11 was released.

1998-05-09  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* emu.el (string-as-multibyte): New macro (Emacs 20.3 emulating
	macro).


1998-05-07  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* APEL: Version 8.10 was released.

	* README.en (What's APEL?): Delete description about atype.el; add
	description about calist.el.

1998-05-07  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* calist.el (ctree-add-calist-with-default): fixed.


1998-05-06  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* APEL: Version 8.9 was released.

1998-05-06  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* calist.el (ctree-find-calist): fixed duplicated result.


1998-05-05  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* APEL: Version 8.8 was released.

1998-05-03  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* calist.el (ctree-find-calist): Delete duplicated result.


1998-04-30  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* APEL: Version 8.7 was released.

1998-04-29  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* calist.el (ctree-match-calist-partially): New function.


1998-04-28  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* APEL: Version 8.6 was released.

1998-04-27  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* emu-20.el (mime-charset-coding-system-alist): Use 'raw-text for
	us-ascii in default setting.

1998-04-27  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* calist.el (ctree-find-calist): Add optional argument 'all.

1998-04-27  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* calist.el (ctree-find-calist): Renamed from
	'ctree-match-calist-all.


1998-04-25  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* APEL: Version 8.5 was released.

1998-04-25  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* calist.el (ctree-match-calist-all): New function.

1998-04-24  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* APEL-ELS: Comment out 'atype and 'file-detect.

1998-04-24  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* emu-x20.el (decode-mime-charset-string): Use
 	'decode-mime-charset-region.

1998-04-24  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* emu-x20.el (mime-charset-decoder-alist): Add
 	'decode-mime-charset-region-for-hz for 'hz-gb-2312.
	(decode-mime-charset-region-for-hz): New function.

1998-03-25  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* emu-x20.el (mime-charset-decoder-alist): New variable.
	(decode-mime-charset-region-default): New function.
	(mime-iso646-character-unification-alist): New variable.
	(mime-unified-character-face): New variable.
	(decode-mime-charset-region-with-iso646-unification): New
 	function.
	(decode-mime-charset-region): Use 'mime-charset-decoder-alist.


1998-04-22  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* APEL: Version 8.4 was released.

	* EMU-ELS: Don't use HIRAGANA LETTER A (あ) to detect character
 	indexing (Emacs 20.3 or later).

1998-04-20  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* emu-x20.el, emu-e20.el (charsets-mime-charset-alist): Add
	'shift_jis.

	* EMU-ELS (emu-modules): fixed.


1998-04-17  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* APEL: Version 8.3 was released.

	* README.en (What's APEL?): Modify for latest emu.

1998-04-17  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* emu-nemacs.el, emu-mule.el, emu-latin1.el, emu-e20_2.el,
	emu-e20_3.el, emu-x20.el (char-next-index): Fixed.

1998-04-17  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* EMU-ELS (emu-modules): Add 'emu-e20_3 for Emacs 20.3.

	* emu-e20_3.el: New module.

	* emu-e20.el: Select to require 'emu-e20_2 or 'emu-e20_3.

	* emu-e20_2.el (set-buffer-multibyte): New function.

	* emu-e20.el (insert-file-contents-as-binary): Use
	'set-buffer-multibyte.

1998-04-17  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* emu-e20_2.el, emu-e20.el, EMU-ELS: Separate Emacs 20.1 and 20.2
	depended definitions from emu-e20.el to emu-e20_2.el.

1998-04-17  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* emu.el: emu-x20.el doesn't require 'emu-xemacs and 'emu-20.

1998-04-16  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* emu-x20.el: Don't require 'emu-xemacs and 'emu-20.

	* emu.el: emu-latin1.el does not require 'emu-xemacs or 'emu-e19.

	* emu-latin1.el: Don't require 'emu-xemacs or 'emu-e19.

1998-04-16  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* emu-mule.el, emu-latin1.el, emu-e20.el, emu-e19.el, emu-19.el,
	EMU-ELS: Rename emu-19.el -> emu-e19.el.

	* emu.el, emu-latin1.el, emu-e19.el, EMU-ELS: Rename emu-e19.el ->
	emu-latin1.el.


1998-04-13  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* APEL: Version 8.2 was released.

	* README.en (What's APEL?): Remove description about std11.el and
	std11-parse.el.

	* install.el (install-detect-elisp-directory): Modify regexp to
 	allow trailing `/'.


1998-04-13  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* APEL: Version 8.1 was released.

1998-04-11  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* emu-x20.el (encode-mime-charset-region): Use 'defun instead of
	'defsubst.
	(decode-mime-charset-region): Use 'defun instead of 'defsubst.

1998-04-10  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* APEL-ELS (apel-modules): Delete 'std11 and 'std11-parse.

	* std11.el, std11-parse.el: Abolish std11-parse.el and std11.el
	(moved to RIME).


1998-04-09  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* APEL: Version 8.0 was released.

1998-04-09  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* emu-e19.el, emu-e20.el: Use 'make-obsolete for 'string-columns.

	* emu-e19.el, emu-nemacs.el, emu-x20.el: Abolish obsolete alias
	`char-leading-char'.

1998-04-09  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* emu-e20.el, emu-mule.el, emu-nemacs.el, emu-e19.el: Abolish
	obsolete alias `char-columns'.

	* emu-e19.el: Abolish constant `charset-ascii' and
	`charset-iso8859-1'.
	(charset-description): New implementation.
	(charset-registry): New implementation.
	(charset-width): Renamed from `charset-columns'; new
	implementation.
	(find-charset-string): New implementation.
	(find-charset-region): New implementation.
	(charsets-mime-charset-alist): New initial value.
	(detect-mime-charset-region): New implementation.
	(char-charset): New implementation.

	* emu-nemacs.el: Rename `charset-columns' -> `charset-width'.

	* emu-nemacs.el: Abolish constant `charset-ascii' and
	`charset-jisx0208'.
	Abolish constant `lc-ascii' and `lc-jp'.
	(charset-description): New implementation.
	(charset-registry): New implementation.
	(charset-columns): New implementation.
	(find-charset-string): New implementation.
	(find-charset-region): New implementation.
	(charsets-mime-charset-alist): New initial value.
	(char-charset): New implementation.

1998-04-09  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* emu-e20.el, emu-x20.el, emu-e19.el, emu-mule.el, emu-nemacs.el
	(char-next-index): New macro.


1998-03-26  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* APEL: Version 7.6 was released.

	* std11.el: Require 'std11-parse when compile.

1998-03-25  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* calist.el (ctree-match-calist): Prefer normal choice than
 	default choice.

1998-03-25  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* emu-20.el (mime-charset-coding-system-alist): Use 'defcustom.

1998-03-25  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* emu-20.el: Require 'wid-edit when compile.


1998-03-25  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* APEL: Version 7.5 was released.

1998-03-24  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* calist.el (calist-field-match-method-obarray): New variable.
	(define-calist-field-match-method): New function.
	(calist-default-field-match-method): New function.
	(calist-field-match-method): New function.
	(calist-field-match): New function.
	(ctree-match-calist): Use `calist-field-match'.


1998-03-23  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* APEL: Version 7.4 was released.

1998-03-21  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* emu-nemacs.el, emu-mule.el, emu-e19.el, emu-x20.el, emu-e20.el
	(insert-file-contents-as-binary): Renamed from
	`insert-binary-file-contents'; add `insert-binary-file-contents'
	as obsolete alias.

1998-03-21  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* emu-e20.el (insert-binary-file-contents-literally): New alias
	for `insert-file-contents-literally'.

	* emu-x20.el (insert-binary-file-contents-literally): Moved from
	emu-20.el.

	* emu-20.el: Move `insert-binary-file-contents-literally' to
	emu-x20.el.

1998-03-21  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* emu-e20.el (insert-binary-file-contents): Must save
	`enable-multibyte-characters'.

	* emu-x20.el (insert-binary-file-contents): Moved from emu-20.el.

	* emu-20.el: Move `insert-binary-file-contents' to emu-x20.el.

	* calist.el (ctree-match-calist): Rename local variables.


1998-03-16  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* APEL: Version 7.3 was released.

1998-03-15  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* APEL-ELS: Add calist.el.

	* calist.el: New module.

1998-03-13  Katsumi Yamaoka   <yamaoka@jpl.org>

	* emu-mule.el (charsets-mime-charset-alist) fixed.


1998-03-13  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* APEL: Version 7.2 was released.

1998-03-11  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* emu-nemacs.el, emu-mule.el, emu-e19.el, emu-20.el
	(write-region-as-binary): New function.

1998-03-11  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* emu-nemacs.el, emu-mule.el, emu-e19.el, emu-20.el
	(insert-binary-file-contents): New function.

1998-03-08  Shuhei KOBAYASHI  <shuhei-k@jaist.ac.jp>

	* README.en (Bug reports): Modify description of tm mailing list.


1998-02-12  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* APEL: Version 7.1.1 was released.

	* README.en (Bug reports): Modify for APEL.

1998-02-04  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* std11.el (std11-msg-id-string): New function.
	(std11-fill-msg-id-list-string): New function.

	* std11-parse.el (std11-parse-msg-id): New function.

1998-01-10  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* emu-x20.el: If coding-system `iso-2022-jp' unifies JIS X
 	0201-Latin to ASCII and JIS X 0208-1978 to JIS X 0208-1983 by
 	code-point, copy coding-system `iso-2022-7bit' to `iso-2022-jp' to
 	avoid this problem.


1997-11-08  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* APEL: Version 7.1 was released.

1997-11-06  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* README.en (What's APEL?): Rename file-detect.el -> path-util.el.

1997-11-06  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* install.el, filename.el (filename-filters): Use path-util.el
	instead of file-detect.el.

	* path-util.el, file-detect.el, APEL-ELS: Rename file-detect.el ->
	path-util.el (file name should be less than 13 bytes).

1997-11-06  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* emu-19.el (tl:make-overlay): New alias.
	(tl:overlay-put): New alias.
	(tl:overlay-buffer): New alias.


1997-11-05  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* APEL: Version 4.2 was released.

1997-11-05  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* APEL-MK (config-apel): Regard LISPDIR.

1997-11-05  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* emu-19.el (tl:make-overlay): New obsolete function (for
	tm-7.106).
	(tl:overlay-put): New obsolete function (for tm-7.106).
	(tl:overlay-buffer): New obsolete function (for tm-7.106).


1997-11-04  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* APEL: Version 4.1 was released.

	* APEL-MK (compile-apel): Use `config-apel'; don't use
	`add-to-list' for compatibility.
	(install-apel): Don't call `config-apel' directly.

	* APEL-CFG: Add load-path setting.

1997-11-04  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* emu-20.el (mime-charset-list): New inline-function.
	(widget-mime-charset-prompt-value-history): New variable.
	(mime-charset): New widget.
	(widget-mime-charset-prompt-value): New function.
	(widget-mime-charset-action): New function.
	(default-mime-charset): Use `defcustom'.

	* emu-20.el (default-mime-charset): Modify DOC-string.

	* emu-mule.el (charsets-mime-charset-alist): New implementation.

	* emu-e20.el (encode-mime-charset-region,
	decode-mime-charset-region, encode-mime-charset-string,
	decode-mime-charset-string): New function (copied from emu-20.el);
	check `enable-multibyte-characters'.

	* emu-x20.el (encode-mime-charset-region,
	decode-mime-charset-region, encode-mime-charset-string,
	decode-mime-charset-string): New function (copied from emu-20.el).

	* emu-20.el: Move function `encode-mime-charset-region',
	`decode-mime-charset-region', `encode-mime-charset-string' and
	`decode-mime-charset-string' to emu-x20.el and emu-e20.el.

1997-10-04  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* emu-x20.el (charsets-mime-charset-alist): Use MIME charset
 	`iso-8859-5' for cyrillic.


1997-09-26  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* APEL: Version 3.4.4 was released.

1997-09-25  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* std11-parse.el (std11-special-char-list): Fix order for regexp.


1997-09-25  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* APEL: Version 3.4.3 was released.

	* README.en: Modify for Emacs 20.

1997-09-25  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* std11-parse.el (std11-special-char-list): New constant; abolish
	`std11-special-chars'.
	(std11-atom-regexp): Use it.
	(std11-analyze-special): Use it; Don't use `find'.


1997-09-09  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* APEL: Version 3.4.2 was released.

	* README.en (What's APEL?): Add emu-20.el.

1997-09-07  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* emu-20.el (mime-charset-to-coding-system): Use defsubst again;
	modify implementation.

	* emu-20.el (mime-charset-to-coding-system): Use
	`find-coding-system'.

	* emu-20.el (mime-charset-coding-system-alist): Use
	`find-coding-system'.

	* emu-e20.el (find-coding-system): New inline function.

	* emu.el (defsubst-maybe): New macro.

1997-09-03  MORIOKA Tomohiko  <morioka@mousai>

	* emu-20.el (mime-charset-to-coding-system): Use `defun' instead
 	of `defsubst'.


1997-09-02  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* APEL: Version 3.4.1 was released.

1997-08-30  MAEDA Shugo       <shugo@po.aianet.ne.jp>

	* emu-mule.el (decode-coding-region, encode-coding-string): New
	function.
	(decode-coding-string): Modify DOC-string. (cf. [cmail:3366])

1997-08-30  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* emu.el (defconst-maybe): New macro.

	(emacs-major-version, emacs-minor-version): Use `defconst-maybe'.

	* emu.el (charsets-to-mime-charset): Abolish unused local variable
	`csl'.

	* emu-e20.el, emu-20.el: Move function
	`detect-mime-charset-region' from emu-e20.el to emu-20.el.

	* emu-20.el: Use `defsubst' for
	`{encode|decode}-mime-charset-{region|string}'.

	* emu-e20.el (detect-mime-charset-region): Use
	`find-charset-region'.

1997-08-30  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* emu-x20.el, emu-e20.el, emu-20.el: Move function
	`{encode|decode}-mime-charset-{region|string}' from emu-e20.el and
	emu-x20.el to emu-20.el.

	* emu-x20.el, emu-e20.el, emu-20.el: Move `default-mime-charset'
	from emu-e20.el and emu-x20.el to emu-20.el.

1997-08-30  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* emu-20.el (mime-charset-coding-system-alist): Don't use
	`coding-system-p' for symbol.
	(mime-charset-to-coding-system): Ditto; modify DOC-string.

1997-08-30  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* emu-20.el (mime-charset-coding-system-alist): Check MIME charset
	is defined as coding-system.

	* emu-x20.el, emu-e20.el, emu-20.el: Move
	`mime-charset-coding-system-alist' from emu-e20.el and emu-x20.el
	to emu-20.el.

	* emu-20.el (*noconv*): Add DOC-string.

1997-08-30  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* emu-20.el (mime-charset-to-coding-system): Check coding-system-p
	even if CHARSET is found in `mime-charset-coding-system-alist'.

	* emu-x20.el: Use function `mime-charset-to-coding-system' in
	emu-20.el.

	* emu-20.el (mime-charset-to-coding-system): Use `defsubst'.

	* emu-e20.el, emu-20.el: Move function
	`mime-charset-to-coding-system' from emu-e20.el to emu-20.el.

1997-08-30  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* emu-x20.el, emu-e20.el, emu-20.el: Move features about Binary
	accessing from emu-e20.el and emu-x20.el to emu-20.el.

	* EMU-ELS (emu-modules): Add emu-20 for Emacs 20 and XEmacs/mule.

1997-08-30  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* emu-x20.el (mime-charset-to-coding-system): Use `defsubst'.

	* emu-x20.el (default-mime-charset): Add DOC-string.

	(mime-charset-coding-system-alist): Add `us-ascii'.

1997-08-25  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* emu-x20.el (mime-charset-coding-system-alist): iso-2022-jp-2 is
	defined as coding-system.


1997-07-14  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* emu: Version 7.44 was released.
	* APEL: Version 3.4 was released.

1997-07-13  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* emu-e20.el (mime-charset-coding-system-alist): `iso-2022-ss2-7'
	-> `iso-2022-7bit-ss2'. (for Emacs 20.0.90)

1997-07-13  MORIOKA Tomohiko  <morioka@mousai>

	* std11-parse.el (std11-parse-ascii-token): Allow non-ASCII
 	characters in comments.

1997-06-28  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* richtext.el: Add autoload comments for `richtext-encode' and
	`richtext-decode'.

	* emu.el: Check richtext.el is bundled.

1997-06-28  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* file-detect.el: Add autoload comments for function `add-path',
	`add-latest-path', `get-latest-path', `file-installed-p',
	`exec-installed-p', `module-installed-p' and variable
	`exec-suffix-list'.

1997-06-08  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* emu-x20.el (mime-charset-coding-system-alist): iso-8859-1,
	hz-gb-2312, cn-gb-2312, gb2312, cn-big5 and koi8-r were defined as
	coding-system.

	* emu-x20.el: Don't require cyrillic.

Thu May 22 04:46:57 1997  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* emu-mule.el (make-char): New alias.

	* emu-e20.el: Alias `make-character' was abolished.

Sat May 10 19:39:12 1997  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* README.en (What's APEL?): Add std11 and mule-caesar.el.


1997-05-09  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* emu: Version 7.43.1 was released.
	* APEL: Version 3.3.2 was released.

Fri May  9 01:23:44 1997  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* APEL-ELS: Add mule-caesar.el.

	* mule-caesar.el: New file.

Thu May  8 22:21:36 1997  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* emu-x20.el: Use `binary' instead of `no-conversion' temporary.


1997-04-30  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* emu: Version 7.43 was released.
	* APEL: Version 3.3.1 was released.

	* emu-x20.el: several changes for XEmacs 20.1-b12.

Wed Apr 30 12:40:32 1997  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* Makefile: add `release'.

Mon Apr 28 16:47:30 1997  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* Makefile: `TARFILE' was abolished.

Tue Apr  8 09:47:40 1997  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* emu.el (point-at-eol): New function.

Sat Apr  5 16:23:23 1997  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* emu-nemacs.el: `tl:available-face-attribute-alist' ->
	`emu:available-face-attribute-alist'.

	* emu-nemacs.el, emu-mule.el: `tl:make-overlay' -> `make-overlay';
 	`tl:overlay-put' -> `overlay-put'.

Sat Apr  5 06:50:48 1997  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* emu-xemacs.el: Alias `tl:make-overlay', `tl:overlay-put' and
 	`tl:overlay-buffer' were abolished; Function `tl:move-overlay'
 	were abolished.

	* emu-19.el: Alias `tl:make-overlay', `tl:overlay-put' and
 	`tl:overlay-buffer' were abolished.

	* emu-18.el: `tl:overlay-buffer' -> `overlay-buffer'.

	* emu-xemacs.el: Require overlay.

	* emu.el (char-or-char-int-p): New XEmacs 20 emulating alias.

	* emu.el (minibuffer-prompt-width): New function for Emacs 18 and
 	XEmacs.

Thu Apr  3 17:14:39 1997  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* APEL-ELS: std11.el and std11-parse.el were moved from mu/.


1997-03-20  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* APEL: Version 3.3 was released.

	* APEL-CFG (EMU_PREFIX, EMU_DIR): New variables.
	* APEL-MK: install emu.

Thu Mar 20 06:09:03 1997  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* Makefile: Add README.en.

Thu Mar 20 06:08:29 1997  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* file-detect.el: Header and DOC-strings were modified.

Thu Mar 20 06:03:51 1997  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* README.en: New file.

Thu Mar 20 05:48:02 1997  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* filename.el: Add DOC-strings.

	* APEL-MK (install-apel): Use `compile-apel'.

	* Makefile (install): Don't depend on `elc'.

Thu Mar 20 02:04:19 1997  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* APEL-MK: Setting for load-path and requiring install were moved
 	from APEL-CFG.

	(install-apel): Compile apel-modules.

	* APEL-CFG: Setting for load-path and requiring install were moved
 	to APEL-MK.


1997-03-14  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* APEL: Version 3.2 was released.

Fri Mar 14 09:54:04 1997  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* file-detect.el (get-latest-path): Check directory is exist or not.

Fri Mar 14 09:25:15 1997  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* APEL-ELS: Add install.el.

Fri Mar 14 07:24:37 1997  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* Makefile, APEL-MK, APEL-CFG: New file.

1997-03-10  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* atype.el (field-unify): fixed.

1997-03-10  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* filename.el (filename-filters): Use `exec-installed-p' instead
 	of `file-installed-p' to search "kakasi".

1997-03-10  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* file-detect.el (module-installed-p): Use function
 	`exec-installed-p'.

	* file-detect.el (exec-suffix-list): New variable.
	(exec-installed-p): New function.

1997-03-04  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* APEL-ELS (apel-modules): Add filename.el.

	* APEL-ELS: Initial revision

1997-03-04  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* filename.el (filename-replacement-alist): Don't use function
 	`string-to-char-list' and `expand-char-ranges'; Don't require
 	tl-str.
	(filename-special-filter): Use function `assoc-if' instead of
 	`ASSOC'; Require cl instead of tl-list.
	(poly-funcall): New inline-function; copied from tl-list.el.

1997-03-03  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* atype.el: Alias `fetch-field', `fetch-field-value', `put-field'
 	and `delete-field' were abolished.

	Don't require tl-str and tl-list.

	Require alist.

	(field-unify): Don't use function `symbol-concat'.
	(assoc-unify): Use function `assoc' directly; use function
 	`put-alist' directly; use function `del-alist' directly.

	* atype.el: Function `put-fields' was abolished.

	* atype.el: tl-atype.el was renamed to atype.el.

1997-03-03  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* atype.el: tl-atype.el was renamed to atype.el.

1997-03-03  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* file-detect.el (file-installed-p): Fixed DOC-string.

1997-02-28  Tomohiko Morioka  <tmorioka@mule.etl.go.jp>

	* alist.el: New module; separated from tl-list.el.
